Index: gnome.ent
===================================================================
--- gnome.ent	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ gnome.ent	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -65,7 +65,7 @@
 <!ENTITY gnome-settings-daemon-version     "41.0">
 <!ENTITY gnome-control-center-version      "41.4">
-<!ENTITY mutter-version                    "41.3">
-<!ENTITY gnome-shell-version               "41.3">
-<!ENTITY gnome-shell-extensions-version    "41.1">
+<!ENTITY mutter-version                    "41.4">
+<!ENTITY gnome-shell-version               "41.4">
+<!ENTITY gnome-shell-extensions-version    "41.2">
 <!ENTITY gnome-session-version             "41.3">
 <!ENTITY gdm-version                       "41.3">
Index: gnome/applications/gnome-logs.xml
===================================================================
--- gnome/applications/gnome-logs.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ gnome/applications/gnome-logs.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -9,6 +9,6 @@
   <!ENTITY gnome-shell-extensions-download-ftp
            "&gnome-download-ftp;/gnome-shell-extensions/&gnome-41;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
-  <!ENTITY gnome-shell-extensions-md5sum        "2e47b5cc0ee28246fe655bc0fa0e8419">
-  <!ENTITY gnome-shell-extensions-size          "216 KB">
+  <!ENTITY gnome-shell-extensions-md5sum        "9178c6aa39e2ba5471acf895a0825ad9">
+  <!ENTITY gnome-shell-extensions-size          "220 KB">
   <!ENTITY gnome-shell-extensions-buildsize     "5.2 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -73,4 +73,5 @@
     </itemizedlist>
 
+    <!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -82,4 +83,5 @@
       </listitem>
     </itemizedlist>
+    -->
 
     <bridgehead renderas="sect3">GNOME Shell Extensions Dependencies</bridgehead>
@@ -103,4 +105,5 @@
     <title>Installation of GNOME Shell Extensions</title>
 
+    <!--
     <para>
       First, fix an issue in the window-list extension that causes icons to not
@@ -109,4 +112,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../gnome-shell-extensions-&gnome-shell-extensions-version;-upstream_fix-1.patch</userinput></screen>
+    -->
 
     <para>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ gnome/platform/gnome-shell.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-shell-download-ftp
            "&gnome-download-ftp;/gnome-shell/&gnome-41;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "eeed229dd4b05715dd0561e99a4a4041">
+  <!ENTITY gnome-shell-md5sum        "9f49da92233a918d9dd4fe9d736f285c">
   <!ENTITY gnome-shell-size          "1.8 MB">
-  <!ENTITY gnome-shell-buildsize     "71 MB (including tests)">
-  <!ENTITY gnome-shell-time          "0.2 SBU (Using parallelism=4, with tests)">
+  <!ENTITY gnome-shell-buildsize     "70 MB">
+  <!ENTITY gnome-shell-time          "0.2 SBU (Using parallelism=4)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ gnome/platform/mutter.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -7,8 +7,8 @@
   <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-41;/mutter-&mutter-version;.tar.xz">
   <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-41;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-md5sum        "14325de1366970d28d140feff4f79101">
+  <!ENTITY mutter-md5sum        "49766d24a63cb9ca3f6bf20c188ca9a5">
   <!ENTITY mutter-size          "2.6 MB">
-  <!ENTITY mutter-buildsize     "176 MB">
-  <!ENTITY mutter-time          "2.2 SBU (Using parallelism=4)">
+  <!ENTITY mutter-buildsize     "75 MB">
+  <!ENTITY mutter-time          "0.6 SBU (Using parallelism=4)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -242,6 +242,5 @@
         </seg>
         <seg>
-          libmutter-9.so and
-          libmutter-test-9.so
+          libmutter-9.so
         </seg>
         <seg>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ introduction/welcome/changelog.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -45,4 +45,20 @@
       <para>February 24th, 2022</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gnome-shell-extensions-41.2. Fixes
+          <ulink url="&blfs-ticket-root;16114">#16114</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-shell-41.4. Fixes
+          <ulink url="&blfs-ticket-root;16113">#16113</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to mutter-41.4. Fixes
+          <ulink url="&blfs-ticket-root;16115">#16115</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to colord-gtk-0.3.0. Fixes
+          <ulink url="&blfs-ticket-root;16120">#16120</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update to mutt-2.2.1. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ packages.ent	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -750,5 +750,5 @@
 <!ENTITY clutter-gst-version          "3.0.27">
 <!ENTITY clutter-gtk-version          "1.8.4">
-<!ENTITY colord-gtk-version           "0.2.0">
+<!ENTITY colord-gtk-version           "0.3.0">
 <!ENTITY fltk-version                 "1.3.8">
 <!ENTITY freeglut-version             "3.2.2">
Index: x/lib/colord-gtk.xml
===================================================================
--- x/lib/colord-gtk.xml	(revision 1201c9faf7f310aa5bcb9837a6ca0f9228619385)
+++ x/lib/colord-gtk.xml	(revision 9499bbf062c5c00468574dbffcf79a5cfab3ac19)
@@ -7,7 +7,7 @@
   <!ENTITY colord-gtk-download-http "https://www.freedesktop.org/software/colord/releases/colord-gtk-&colord-gtk-version;.tar.xz">
   <!ENTITY colord-gtk-download-ftp  " ">
-  <!ENTITY colord-gtk-md5sum        "66d048803c8b89e5e63da4b461484933">
-  <!ENTITY colord-gtk-size          "20 KB">
-  <!ENTITY colord-gtk-buildsize     "41 MB">
+  <!ENTITY colord-gtk-md5sum        "08c245d6482b3923a2b6a09f7fbbe612">
+  <!ENTITY colord-gtk-size          "24 KB">
+  <!ENTITY colord-gtk-buildsize     "6.1 MB">
   <!ENTITY colord-gtk-time          "less than 0.1 SBU">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -82,5 +82,6 @@
     <para role="recommended">
       <xref linkend="gobject-introspection"/>,
-      <xref linkend="gtk2"/>, and
+      <xref linkend="gtk2"/>,
+      <xref linkend="gtk4"/>, and
       <xref linkend="vala"/>
     </para>
@@ -117,4 +118,5 @@
       --buildtype=release \
       -Dgtk2=true         \
+      -Dgtk4=true         \
       -Dvapi=true         \
       -Ddocs=false        \
@@ -147,6 +149,6 @@
     <para>
       <parameter>-Dvapi=true</parameter>: This switch enables
-      building of the Vala bindings. Remove if you don't
-      have <xref linkend="vala"/> installed.
+      building of the Vala bindings. Remove this switch if you don't
+      have <xref linkend="vala" role="nodep"/> installed.
     </para>
 
@@ -157,6 +159,12 @@
 
     <para>
+      <parameter>-Dgtk4=true</parameter>: This switch enables building
+      the GTK-4 bindings for colord. Set this option to 'false' if you
+      do not have <xref linkend="gtk4" role="nodep"/> installed.
+    </para>
+
+    <para>
       <parameter>-Ddocs=false</parameter>: This switch disables building
-      GTK-DOC based documentation. Even if GTK-DOC is installed, you will
+      gtk-doc based documentation. Even if gtk-doc is installed, you will
       need the namespaced versions of the Docbook XSL stylesheets.
     </para>
@@ -190,5 +198,7 @@
         </seg>
         <seg>
-          libcolord-gtk.so and libcolord-gtk2.so
+          libcolord-gtk.so,
+          libcolord-gtk2.so, and
+          libcolord-gtk4.so
         </seg>
         <seg>
@@ -241,4 +251,17 @@
         </listitem>
       </varlistentry>
+
+      <varlistentry id="libcolord-gtk4">
+        <term><filename class="libraryfile">libcolord-gtk4.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Colord</application>
+            <application>GTK-4</application> bindings
+          </para>
+          <indexterm zone="colord-gtk libcolord-gtk4">
+            <primary sortas="c-libcolord-gtk4">libcolord-gtk4.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
     </variablelist>
 