Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ general/prog/git.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -9,5 +9,5 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "272d8e75a7f309943f62a0826ef799bd">
+  <!ENTITY git-md5sum        "3aae077280b6be861e3c1c637491853a">
 
   <!ENTITY git-size          "6.6 MB">
Index: general/sysutils/accountsservice.xml
===================================================================
--- general/sysutils/accountsservice.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ general/sysutils/accountsservice.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -8,7 +8,7 @@
            "https://www.freedesktop.org/software/accountsservice/accountsservice-&accountsservice-version;.tar.xz">
   <!ENTITY accountsservice-download-ftp  " ">
-  <!ENTITY accountsservice-md5sum        "6e4c6fbd490260cfe17de2e76f5d803a">
-  <!ENTITY accountsservice-size          "96 KB">
-  <!ENTITY accountsservice-buildsize     "10 MB">
+  <!ENTITY accountsservice-md5sum        "bc35df1d735478adfe96af6e5bc87058">
+  <!ENTITY accountsservice-size          "100 KB">
+  <!ENTITY accountsservice-buildsize     "9.4 MB">
   <!ENTITY accountsservice-time          "0.1 SBU">
 ]>
@@ -103,5 +103,5 @@
   <sect2 role="installation">
     <title>Installation of AccountsService</title>
-
+<!-- Fixed in version 22.04.62
     <para>
       First, fix building with recent versions of
@@ -110,5 +110,5 @@
 
 <screen><userinput>sed -i '/  policy,/d' data/meson.build</userinput></screen>
-
+-->
     <para>
       Install <application>AccountsService</application> by running the following
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ introduction/welcome/changelog.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -46,4 +46,24 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to vim-8.2.4236. Fixes
+          <ulink url="&blfs-ticket-root;16032">#16032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to git-2.35.1. Fixes
+          <ulink url="&blfs-ticket-root;16028">#16028</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to accountsservice-22.04.62. Fixes
+          <ulink url="&blfs-ticket-root;16027">#16027</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cups-2.4.1. Fixes
+          <ulink url="&blfs-ticket-root;16022">#16022</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pipewire-0.3.44. Fixes
+          <ulink url="&blfs-ticket-root;16021">#16021</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to pycryptodome-3.14.0 (Python module). Fixes
           <ulink url="&blfs-ticket-root;16031">#16031</ulink>.</para>
Index: multimedia/libdriv/pipewire.xml
===================================================================
--- multimedia/libdriv/pipewire.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ multimedia/libdriv/pipewire.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -7,7 +7,7 @@
   <!ENTITY pipewire-download-http "https://github.com/PipeWire/pipewire/archive/&pipewire-version;/pipewire-&pipewire-version;.tar.gz">
   <!ENTITY pipewire-download-ftp  " ">
-  <!ENTITY pipewire-md5sum        "6e12461b046e45c4c47bd7face365818">
-  <!ENTITY pipewire-size          "1.6 MB">
-  <!ENTITY pipewire-buildsize     "59 MB (with tests)">
+  <!ENTITY pipewire-md5sum        "c70eaa6bc38ffdffbc1d7a431bbd0db4">
+  <!ENTITY pipewire-size          "1.7 MB">
+  <!ENTITY pipewire-buildsize     "60 MB (with tests)">
   <!ENTITY pipewire-time          "0.5 SBU (with tests, both using parallelism=4)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ packages.ent	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -68,5 +68,5 @@
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
 <!ENTITY nano-version                 "6.0">
-<!ENTITY vim-version                  "8.2.3508">
+<!ENTITY vim-version                  "8.2.4236">
 <!ENTITY vim-majmin                   "82">
 
@@ -281,5 +281,5 @@
 
 <!-- Chapter 12 -->
-<!ENTITY accountsservice-version      "0.6.55">
+<!ENTITY accountsservice-version      "22.04.62">
 <!ENTITY acpid-version                "2.0.33">
 <!ENTITY at-version                   "3.2.2">
@@ -348,5 +348,5 @@
 <!ENTITY gc-version                   "8.0.6">
 <!ENTITY gdb-version                  "11.2">
-<!ENTITY git-version                  "2.35.0">
+<!ENTITY git-version                  "2.35.1">
 <!ENTITY guile-version                "3.0.7">
 <!ENTITY librep-version               "0.92.7">
@@ -1027,5 +1027,5 @@
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">
-<!ENTITY pipewire-version             "0.3.43">
+<!ENTITY pipewire-version             "0.3.44">
 <!ENTITY pulseaudio-major-version     "15.0">
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
@@ -1073,5 +1073,5 @@
 <!-- Part XII -->
 <!-- Chapter 46 -->
-<!ENTITY cups-version                 "2.4.0">
+<!ENTITY cups-version                 "2.4.1">
 <!ENTITY cups-filters-version         "1.28.11">
 <!ENTITY gs-version                   "9.55.0">
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ postlfs/editors/vim.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -9,7 +9,7 @@
   <!ENTITY vim-download-http "&sources-anduin-http;/vim/vim-&vim-version;.tar.gz">
   <!ENTITY vim-download-ftp  " ">
-  <!ENTITY vim-md5sum        "f6004d3e776040e2301a1967975d00d1">
+  <!ENTITY vim-md5sum        "62f4d45fcb8051469c9b08874b6a5e0d">
   <!ENTITY vim-size          "15 MB">
-  <!ENTITY vim-buildsize     "109 MB (add 61 MB for tests)">
+  <!ENTITY vim-buildsize     "112 MB (add 61 MB for tests)">
   <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 2.2 SBU for tests)">
 ]>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 6ccde291b2d93a30761092f05a4e6579da839cf6)
+++ pst/printing/cups.xml	(revision 9501a015ca101938e003d1e96610377f95961cdf)
@@ -7,8 +7,8 @@
   <!ENTITY cups-download-http "https://github.com/OpenPrinting/cups/releases/download/v&cups-version;/cups-&cups-version;-source.tar.gz">
   <!ENTITY cups-download-ftp  " ">
-  <!ENTITY cups-md5sum        "6ce9d3f4f0f79b414f35ab28d185d9f9">
+  <!ENTITY cups-md5sum        "c2e5143d06f21e19ea2b73913185656f">
   <!ENTITY cups-size          "7.7 MB">
   <!ENTITY cups-buildsize     "60 MB (Add 25 MB for tests)">
-  <!ENTITY cups-time          "0.2 SBU (Add 0.1 SBU for tests)">
+  <!ENTITY cups-time          "0.5 SBU (Add 0.1 SBU for tests)">
 ]>
 