Index: general/prog/nasm.xml
===================================================================
--- general/prog/nasm.xml	(revision 20f5e71af0266f0c72fdbbfb00ccfa10d54a5a62)
+++ general/prog/nasm.xml	(revision 9519b52f2e81ba13d8aa0d2e68d47465beb98228)
@@ -9,6 +9,6 @@
 <!ENTITY NASM-md5sum "2032ad44c7359f7a9a166a40a633e772">
 <!ENTITY NASM-size "543 KB">
-<!ENTITY NASM-buildsize "6.3 MB">
-<!ENTITY NASM-time "0.14 SBU">
+<!ENTITY NASM-buildsize "17.3 MB (includes building and installing all docs)">
+<!ENTITY NASM-time "0.20 SBU">
 ]>
 
@@ -45,4 +45,11 @@
 </sect3>
 
+<sect3><title><application><acronym>NASM</acronym></application> 
+dependencies</title>
+<sect4><title>Optional (for building documentation)</title>
+<para><xref linkend="tex"/>, and 
+<xref linkend="espgs"/> or <xref linkend="gs"/></para>
+</sect4>
+</sect3>
 </sect2>
 
@@ -55,9 +62,43 @@
 
 <screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
+make &amp;&amp;
+make -C rdoff/doc &amp;&amp;
+make -C rdoff/doc html</command></userinput></screen>
+
+<para>To build the base <application><acronym>NASM</acronym></application> 
+documentation, ensure you have Ghostscript installed and issue:</para>
+
+<screen><userinput><command>make doc</command></userinput></screen>
+
+<para>To build the <acronym>RDOFF</acronym> Postscript documentation, 
+ensure you have <xref linkend="tex"/> installed and issue:</para>
+
+<screen><userinput><command>sed -i -e "s/dvips \$&lt;/&amp; -o rdoff.ps/" rdoff/doc/Makefile &amp;&amp;
+make -C rdoff/doc ps</command></userinput></screen>
+
+<para>To build the <acronym>RDOFF</acronym> <acronym>PDF</acronym> 
+documentation, ensure you have Ghostscript installed and issue:</para>
+
+<screen><userinput><command>make -C rdoff/doc pdf</command></userinput></screen>
 
 <para>Now, as the root user:</para>
 
-<screen><userinput role='root'><command>make install</command></userinput></screen>
+<screen><userinput role='root'><command>make install &amp;&amp;
+make install_rdf &amp;&amp;
+install -v -m644 rdoff/doc/rdoff.info /usr/share/info &amp;&amp;
+install -v -m755 -d /usr/share/doc/nasm/html &amp;&amp;
+install -v -m644 rdoff/doc/v1-v2.txt /usr/share/doc/nasm &amp;&amp;
+cp -v -R rdoff/doc/rdoff /usr/share/doc/nasm/html</command></userinput></screen>
+
+<para>If you built the Ghostscript generated documentation, install it using 
+the following commands as the root user:</para>
+
+<screen><userinput role='root'><command>make install_doc &amp;&amp;
+install -v -m644 rdoff/doc/rdoff.pdf /usr/share/doc/nasm</command></userinput></screen>
+
+<para>Lastly, if you built the <acronym>RDOFF</acronym> Postscript 
+documentation, install it using the following command as the root user:</para>
+
+<screen><userinput role='root'><command>install -v -m644 rdoff/doc/rdoff.ps /usr/share/doc/nasm</command></userinput></screen>
 
 </sect2>
@@ -72,7 +113,8 @@
 
 <seglistitem>
-<seg>nasm and ndisasm</seg>
+<seg>nasm, ndisasm, ldrdf, rdf2bin, rdf2com, rdf2ihx, rdfdump, rdflib and 
+rdx</seg>
 <seg>None</seg>
-<seg>None</seg>
+<seg>/usr/share/doc/nasm</seg>
 </seglistitem>
 </segmentedlist>
@@ -97,4 +139,37 @@
 </indexterm></listitem>
 </varlistentry>
+
+<varlistentry id="ldrdf">
+<term><command>ldrdf</command></term>
+<listitem><para>is an <acronym>RDOFF</acronym> linker.</para>
+<indexterm zone="NASM ldrdf">
+<primary sortas="b-ldrdf">ldrdf</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rdfdump">
+<term><command>rdfdump</command></term>
+<listitem><para>dumps the contents of an <acronym>RDOFF</acronym> file.</para>
+<indexterm zone="NASM rdfdump">
+<primary sortas="b-rdfdump">rdfdump</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rdflib">
+<term><command>rdflib</command></term>
+<listitem><para>is an <acronym>RDOFF</acronym> librarian.</para>
+<indexterm zone="NASM rdflib">
+<primary sortas="b-rdflib">rdflib</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rdx">
+<term><command>rdx</command></term>
+<listitem><para>is used to load and execute an <acronym>RDOFF</acronym> 
+module.</para>
+<indexterm zone="NASM rdx">
+<primary sortas="b-rdx">rdx</primary>
+</indexterm></listitem>
+</varlistentry>
 </variablelist>
 