Index: general.ent
===================================================================
--- general.ent	(revision d794630c3b2ae641c31237ca4679f4cd0a27d05b)
+++ general.ent	(revision 9535df7e8e8fa10e088a797d1ffe51cc4917e5b2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 11th, &year;">
+<!ENTITY releasedate  "May 12th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d794630c3b2ae641c31237ca4679f4cd0a27d05b)
+++ introduction/welcome/changelog.xml	(revision 9535df7e8e8fa10e088a797d1ffe51cc4917e5b2)
@@ -43,4 +43,14 @@
     -->
     <listitem>
+      <para>May 12th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[thomas] - Added a patch to fix building qtwebengine-5.14.2
+            with GCC-10. It also enables using system ICU again.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 11th, 2020</para>
       <itemizedlist>
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision d794630c3b2ae641c31237ca4679f4cd0a27d05b)
+++ x/lib/qtwebengine.xml	(revision 9535df7e8e8fa10e088a797d1ffe51cc4917e5b2)
@@ -13,8 +13,4 @@
   <!ENTITY qtwebengine-time          "68 SBU (using 4 cores)">
 ]>
-<!-- Note: there are some para commented out cause of icu-67.1 issue.
-     They are marked with (ICU) and should removed if a new version
-     of qtwebengine builds against ICU-67.1 (or later) again.
--->
 
 <sect1 id="qtwebengine" xreflabel="qtwebengine-&qtwebengine-version;">
@@ -99,5 +95,5 @@
       </listitem>
     </itemizedlist>
-<!--
+
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -105,9 +101,9 @@
         <para>
           Required patch:
-          <ulink url="&patch-root;/qtwebengine-&qtwebengine-version;-background_rendering_fix-1.patch"/>
+          <ulink url="&patch-root;/qtwebengine-everywhere-src-&qtwebengine-version;-consolidated-1.patch"/>
         </para>
       </listitem>
     </itemizedlist>
--->
+
     <bridgehead renderas="sect3">qtwebengine Dependencies</bridgehead>
 
@@ -134,5 +130,5 @@
       <xref linkend="ffmpeg"/>,
       <xref linkend="Jinja2"/> (Python 2 module),
-<!-- (ICU) <xref linkend="icu"/>, -->
+      <xref linkend="icu"/>,
       <xref linkend="libwebp"/>,
       <xref linkend="libxslt"/>, and
@@ -164,12 +160,11 @@
 <screen><userinput>find -type f -name "*.pr[io]" |
   xargs sed -i -e 's|INCLUDEPATH += |&amp;$$QTWEBENGINE_ROOT/include |'</userinput></screen>
-<!--
-    <para>
-      Next, apply a patch that fixes background rendering issues in Falkon,
-      and crashes on multimedia-heavy sites.
-    </para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../qtwebengine-&qtwebengine-version;-background_rendering_fix-1.patch</userinput></screen>
--->    
+
+    <para>
+      Next, apply a patch that fixes issues when using gcc-10 and enable using
+      system ICU version 67.1 or greater.
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../qtwebengine-everywhere-src-&qtwebengine-version;-consolidated-1.patch</userinput></screen>
 
     <para>
@@ -210,22 +205,10 @@
     </para>
 
-<!-- (ICU) "Original" instructions
-     * Commented because current versio (5.14.2) of qtwebengine does not well with
-       icu-67.1. It results in a compilation error while using its own icu compiles
-       fine.
-     * Re-Check that when a new version of qtwebengine has been released, there
-       are patches around this topic upstream.
-     * Mind the double dash in the qmake line!
 <screen><userinput>mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
-qmake .. - - -system-ffmpeg -webengine-icu &amp;&amp;
+qmake .. -- -system-ffmpeg -webengine-icu &amp;&amp;
 make</userinput></screen>
--->
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-qmake .. -- -system-ffmpeg &amp;&amp;
-make</userinput></screen>
+
 <!--
     <para>
@@ -273,22 +256,11 @@
 
     <para>
-      <!-- (ICU)  note: change '- -' back to double-dash when uncommenting again:
-      <command>- - -system-ffmpeg -webengine-icu</command>: If any options are
-      passed to qmake they must come after '- -' which must follow '..' that points
+      <command>-- -system-ffmpeg -webengine-icu</command>: If any options are
+      passed to qmake they must come after '--' which must follow '..' that points
       to the main directory. The options here cause it to use system ffmpeg and
       system icu.  If built as part of full Qt5, the system icu is automatically
       used (only) by Qt5Core if it is available, but unless this option is used
       webengine will always use its shipped copy of icu, adding time and space
-      to the build. -->
-      <command>-- -system-ffmpeg</command>: If any options are
-      passed to qmake they must come after '--' which must follow '..' that points
-      to the main directory. The options here cause it to use system ffmpeg.
-      <note>
-        <para>
-          Version &qtwebengine-version; of qtwebengine fails to compile when
-          ICU-67.1 is installed and option -webengine-icu is used. This will
-          be fixed in next versions of qtwebengine.
-        </para>
-      </note>
+      to the build.
     </para>
 