Index: general.ent
===================================================================
--- general.ent	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ general.ent	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -164,5 +164,5 @@
 <!ENTITY openssh-version              "6.2p2">
 <!ENTITY openssl-version              "1.0.1e">
-<!ENTITY p11-kit-version              "0.18.4">    <!-- Even minors only -->
+<!ENTITY p11-kit-version              "0.18.5">    <!-- Even minors only -->
 <!ENTITY polkit-version               "0.111">
 <!ENTITY shadow-version               "4.1.5.1">
@@ -260,5 +260,5 @@
 <!ENTITY mtdev-version                "1.1.3">
 <!ENTITY nspr-version                 "4.10">
-<!ENTITY openobex-version             "1.7">
+<!ENTITY openobex-version             "1.7.1">
 <!ENTITY pcre-version                 "8.33">
 <!ENTITY popt-version                 "1.16">
@@ -293,5 +293,5 @@
 <!ENTITY libjpeg-turbo-version        "1.3.0">
 <!ENTITY libmng-version               "1.0.10">
-<!ENTITY libpng-version               "1.6.2">
+<!ENTITY libpng-version               "1.6.3">
 <!ENTITY librsvg-version              "2.37.0">   <!-- Required version in order to use
                                                        svg pixbuf loader. -->
Index: general/genlib/openobex.xml
===================================================================
--- general/genlib/openobex.xml	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ general/genlib/openobex.xml	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -7,8 +7,8 @@
   <!ENTITY openobex-download-http "&sourceforge-repo;/openobex/openobex-&openobex-version;-Source.tar.gz">
   <!ENTITY openobex-download-ftp  " ">
-  <!ENTITY openobex-md5sum        "11031f6f0b876bb6259bd27106491528">
-  <!ENTITY openobex-size          "128 KB">
-  <!ENTITY openobex-buildsize     "5.0 MB">
-  <!ENTITY openobex-time          "0.1 SBU">
+  <!ENTITY openobex-md5sum        "3181bfed9cb7db591605391068cb0085">
+  <!ENTITY openobex-size          "136 KB">
+  <!ENTITY openobex-buildsize     "3.6 MB">
+  <!ENTITY openobex-time          "less than 0.1 SBU">
 ]>
 
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ general/graphlib/libpng.xml	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -8,10 +8,10 @@
            "&sourceforge-repo;/libpng/libpng-&libpng-version;.tar.xz">
   <!ENTITY libpng-download-ftp  " ">
-  <!ENTITY libpng-md5sum        "9d838f6fca9948a9f360a0cc1b516d5f">
-  <!ENTITY libpng-size          "820 KB">
-  <!ENTITY libpng-buildsize     "13 MB">
+  <!ENTITY libpng-md5sum        "9307f8ab04f4be3c1889ffb504f0fe5c">
+  <!ENTITY libpng-size          "856 KB">
+  <!ENTITY libpng-buildsize     "11 MB">
   <!ENTITY libpng-time          "0.1 SBU">
 
-  <!ENTITY apng-version "1.6.2">
+  <!ENTITY apng-version "1.6.3">
 
   <!ENTITY apng-patch
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ introduction/welcome/changelog.xml	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -48,4 +48,13 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to libpng-1.6.3.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to openobex-1.7.1.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to p11-kit-0.18.5.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to Network-Manager-0.9.8.2.</para>
         </listitem>
Index: networking/netutils/wicd.xml
===================================================================
--- networking/netutils/wicd.xml	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ networking/netutils/wicd.xml	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -116,4 +116,5 @@
 
 <screen><userinput>sed -i '/wpath.logrotate\|wpath.systemd/d' setup.py &amp;&amp;
+rm po/*.po                                          &amp;&amp;
 python setup.py configure --no-install-kde \
                           --no-install-acpi \
@@ -129,7 +130,11 @@
   </sect2>
 
-
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><command>rm po/*.po</command>: This command removes the international
+    messages associated with this package.  The command is required unless
+    Babel is installed.  If it is installed, po/ast.po still needs to be removed
+    in order for the build to complete.</para>
 
     <para><command>sed -i '/wpath...</command>: This <command>sed</command>
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision d55b1cd3715dfef532a9f369c1c17ce49c181c90)
+++ postlfs/security/p11-kit.xml	(revision 96316eb040a76fd241a7e84edf6ec665e067e62a)
@@ -7,7 +7,7 @@
   <!ENTITY p11-kit-download-http "http://p11-glue.freedesktop.org/releases/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "9535c4e5b9c2ef5f5cd0755115ba098b">
-  <!ENTITY p11-kit-size          "976 KB">
-  <!ENTITY p11-kit-buildsize     "48 MB">
+  <!ENTITY p11-kit-md5sum        "2727bf68b2fd2f67515a51914202a518">
+  <!ENTITY p11-kit-size          "988 KB">
+  <!ENTITY p11-kit-buildsize     "47 MB">
   <!ENTITY p11-kit-time          "0.3 SBU">
 ]>