Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 03ada6ddcc2db20c844a11c935d07682e89d6317)
+++ postlfs/security/gnupg2.xml	(revision 9638fe8afafeb14b5953d060722bac2f89e0f40f)
@@ -7,7 +7,7 @@
   <!ENTITY gnupg2-download-http " ">
   <!ENTITY gnupg2-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "048d8de797125f1d8e6cf3bdff9e2d12">
+  <!ENTITY gnupg2-md5sum        "fa7e704aad33eb114d1840164455aec1">
   <!ENTITY gnupg2-size          "4.2 MB">
-  <!ENTITY gnupg2-buildsize     "67 MB (additional 1 MB for the tests)">
+  <!ENTITY gnupg2-buildsize     "91 MB (with tests and optional documentation)">
   <!ENTITY gnupg2-time          "0.6 SBU (additional 0.5 SBU for the tests)">
 ]>
@@ -30,11 +30,13 @@
     <title>Introduction to GnuPG</title>
 
-    <para>The <application>GnuPG</application> package is GNU's tool for
-    secure communication and data storage. It can be used to encrypt data and
-    to create digital signatures. It includes an advanced key management
-    facility and is compliant with the proposed OpenPGP Internet standard as
-    described in RFC2440 and the S/MIME standard as described by several RFCs.
-    GnuPG 2 is the stable version of GnuPG integrating support for OpenPGP and
-    S/MIME.</para>
+    <para>
+      The <application>GnuPG</application> package is GNU's tool for secure
+      communication and data storage. It can be used to encrypt data and to
+      create digital signatures. It includes an advanced key management
+      facility and is compliant with the proposed OpenPGP Internet standard
+      as described in RFC2440 and the S/MIME standard as described by several
+      RFCs. GnuPG 2 is the stable version of GnuPG integrating support for
+      OpenPGP and S/MIME.
+    </para>
 
     &lfs75_checked;
@@ -43,56 +45,64 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&gnupg2-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&gnupg2-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &gnupg2-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &gnupg2-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &gnupg2-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &gnupg2-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&gnupg2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnupg2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnupg2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnupg2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnupg2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnupg2-time;
+        </para>
       </listitem>
     </itemizedlist>
 
-      <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-             Required patch:
-            <ulink url="&patch-root;/gnupg-&gnupg2-version;-import_filter_and_add_kbnode_t-1.patch"/>
-          </para>
-        </listitem>
-      </itemizedlist>
-
-    <bridgehead renderas="sect3">GnuPG 2 Dependencies</bridgehead>
+    <bridgehead renderas="sect3">GnuPG Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="pth"/>,
-    <xref linkend="libassuan"/>,
-    <xref linkend="libgcrypt"/>, and
-    <xref linkend="libksba"/></para>
+    <para role="required">
+      <xref linkend="libassuan"/>,
+      <xref linkend="libgcrypt"/>,
+      <xref linkend="libksba"/> and
+      <xref linkend="pth"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="pinentry"/> (Run-time requirement for most of
-    the package's functionality)</para>
+    <para role="recommended">
+      <xref linkend="pinentry"/> (Run-time requirement for
+      most of the package's functionality)
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openldap"/>,
-    <xref linkend="libusb-compat"/>,
-    <xref linkend="curl"/>,
-    <ulink url="http://www.chiark.greenend.org.uk/~ian/adns/">GNU
-    adns</ulink>, and an
-    <xref linkend="server-mail"/></para>
+    <para role="optional">
+      <xref linkend="curl"/>,
+      <ulink url="http://www.chiark.greenend.org.uk/~ian/adns/">GNU
+      ADNS</ulink>,
+      <xref linkend="libusb-compat"/>,
+      an <xref linkend="server-mail"/> and
+      <xref linkend="openldap"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/gnupg2"/></para>
-
+      <ulink url="&blfs-wiki;/gnupg2"/>
+    </para>
   </sect2>
 
@@ -100,9 +110,11 @@
     <title>Installation of GnuPG</title>
 
-    <para>Install <application>GnuPG</application> by running the following
-    commands:</para>
-
-<screen><userinput>patch -Np1 -i ../gnupg-&gnupg2-version;-import_filter_and_add_kbnode_t-1.patch &amp;&amp;
-./configure --prefix=/usr \
+    <para>
+      Install <application>GnuPG</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr        \
+            --sysconfdir=/etc    \
             --enable-symcryptrun \
             --docdir=/usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
@@ -112,30 +124,38 @@
 makeinfo --plaintext       -o doc/gnupg.txt           doc/gnupg.texi</userinput></screen>
 
-    <para>If you have <xref linkend="texlive"/>
-    installed and you wish to create documentation in alternate formats,
-    issue the following commands:</para>
+    <para>
+      If you have <xref linkend="texlive"/> installed and you wish
+      to create documentation in alternate formats, issue the
+      following commands:
+    </para>
 
 <screen><userinput>make -C doc pdf ps html</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Note that if you have already installed
-    <application>GnuPG</application>, the instructions below will overwrite
-    <filename>/usr/share/man/man1/gpg-zip.1</filename>. Now, as the
-    <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install               &amp;&amp;
-ln -sv gpg2  /usr/bin/gpg  &amp;&amp;
-ln -sv gpgv2 /usr/bin/gpgv &amp;&amp;
-
-install -v -m755 -d /usr/share/doc/gnupg-&gnupg2-version;/html       &amp;&amp;
-install -v -m644    doc/gnupg_nochunks.html \
-                    /usr/share/doc/gnupg-&gnupg2-version;/gnupg.html &amp;&amp;
-install -v -m644    doc/*.texi doc/gnupg.txt \
-                    /usr/share/doc/gnupg-&gnupg2-version;</userinput></screen>
-
-    <para>If you created alternate formats of the documentation, install it
-    using the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
+
+for f in gpg gpgv ; do
+ln -sfv ${f}2   /usr/bin/${f} &amp;&amp;
+ln -sfv ${f}2.1 /usr/share/man/man1/${f}.1
+done &amp;&amp;
+
+install -v -dm755 /usr/share/doc/gnupg-&gnupg2-version;/html       &amp;&amp;
+install -v -m644  doc/gnupg_nochunks.html \
+                  /usr/share/doc/gnupg-&gnupg2-version;/gnupg.html &amp;&amp;
+install -v -m644  doc/*.texi doc/gnupg.txt \
+                  /usr/share/doc/gnupg-&gnupg2-version;</userinput></screen>
+
+    <para>
+      If you created alternate formats of the documentation, install
+      it using the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>install -v -m644 doc/gnupg.html/* \
@@ -149,19 +169,14 @@
     <title>Command Explanations</title>
 
-    <para><command>ln -sv gpg...</command>: Symlinks for compatibility with the
-    first version of <application>GnuPG</application>.</para>
-
-    <para><parameter>--docdir=/usr/share/doc/gnupg-&gnupg2-version;</parameter>:
-    This switch changes the default docdir to <filename
-    class="directory">/usr/share/doc/gnupg-&gnupg2-version;</filename>.</para>
-
-    <para><parameter>--enable-symcryptrun</parameter>: This switch enables
-    building the symcryptrun program.</para>
-
-    <para><option>--libexecdir=/usr/lib/gnupg2</option>: This option
-    creates a <filename class="directory">gnupg</filename> directory in
-    <filename class="directory">/usr/lib</filename> instead of
-    <filename class="directory">/usr/libexec</filename> in accordance
-    with the old version of the FHS used before LFS-7.5.</para>
+    <para>
+      <parameter>--enable-symcryptrun</parameter>: This switch enables
+      building the symcryptrun program.
+    </para>
+
+    <para>
+      <command>ln -sfv ...</command>: This command creates symlinks for
+      compatibility with the first version of
+      <application>GnuPG</application>.
+    </para>
 
   </sect2>
@@ -176,13 +191,17 @@
 
       <seglistitem>
-        <seg>gpg (symlink), gpg2, gpg-agent, gnupg-pcsc-wrapper, gpg2keys_curl,
-        gpg2keys_finger, addgnupghome, gpgconf, gpg-connect-agent, gpgkey2ssh,
-        gpg2keys_hkp, gpg2keys_ldap, gpg-check-pattern, applygnupgdefaults,
-        gpgparsemail, gpgsm, gpgsm-gencert.sh, gpg-preset-passphrase,
-        gpg-protect-tool, scdaemon, gpgv (symlink), gpgv2, kbxutil,
-        symcryptrun, and watchgnupg</seg>
-        <seg>None</seg>
-        <seg>/usr/share/doc/gnupg-&gnupg2-version; and
-        /usr/share/gnupg</seg>
+        <seg>
+          addgnupghome, applygnupgdefaults, gpg, gpg2, gpg-agent,
+          gpgconf, gpg-connect-agent, gpgkey2ssh, gpgparsemail,
+          gpgsm, gpgsm-gencert.sh, gpgtar, gpgv, gpgv2, kbxutil,
+          symcryptrun and watchgnupg
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/doc/gnupg-&gnupg2-version; and
+          /usr/share/gnupg
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -196,6 +215,8 @@
         <term><command>addgnupghome</command></term>
         <listitem>
-          <para>is used to create and populate user's
-          <filename class='directory'>~/.gnupg</filename> directories</para>
+          <para>
+            is used to create and populate user's
+            <filename class="directory">~/.gnupg</filename> directories.
+          </para>
           <indexterm zone="gnupg2 addgnupghome">
             <primary sortas="b-addgnupghome">addgnupghome</primary>
@@ -207,7 +228,9 @@
         <term><command>applygnupgdefaults</command></term>
         <listitem>
-          <para>is a wrapper script used to run <command>gpgconf</command>
-          with the <parameter>--apply-defaults</parameter> parameter on all
-          user's GnuPG home directories.</para>
+          <para>
+            is a wrapper script used to run <command>gpgconf</command>
+            with the <parameter>--apply-defaults</parameter> parameter
+            on all user's GnuPG home directories.
+          </para>
           <indexterm zone="gnupg2 applygnupgdefaults">
             <primary sortas="b-applygnupgdefaults">applygnupgdefaults</primary>
@@ -219,8 +242,10 @@
         <term><command>gpg-agent</command></term>
         <listitem>
-          <para>is a daemon used to manage secret (private) keys independently
-          from any protocol. It is used as a backend for <command>gpg</command>
-          and <command>gpgsm</command> as well as for a couple of other
-          utilities.</para>
+          <para>
+            is a daemon used to manage secret (private) keys independently
+            from any protocol. It is used as a backend for
+            <command>gpg</command> and <command>gpgsm</command> as well as
+            for a couple of other utilities.
+          </para>
           <indexterm zone="gnupg2 gpg-agent">
             <primary sortas="b-gpg-agent">gpg-agent</primary>
@@ -232,6 +257,8 @@
         <term><command>gpg-connect-agent</command></term>
         <listitem>
-          <para>is a utility used to communicate with a running
-          <command>gpg-agent</command>.</para>
+          <para>
+            is a utility used to communicate with a running
+            <command>gpg-agent</command>.
+          </para>
           <indexterm zone="gnupg2 gpg-connect-agent">
             <primary sortas="b-gpg-connect-agent">gpg-connect-agent</primary>
@@ -243,7 +270,9 @@
         <term><command>gpg2</command></term>
         <listitem>
-          <para>is the OpenPGP part of the GNU Privacy Guard (GnuPG). It is a
-          tool used to provide digital encryption and signing services using
-          the OpenPGP standard.</para>
+          <para>
+            is the OpenPGP part of the GNU Privacy Guard (GnuPG). It is a
+            tool used to provide digital encryption and signing services
+            using the OpenPGP standard.
+          </para>
           <indexterm zone="gnupg2 gpg2">
             <primary sortas="b-gpg2">gpg2</primary>
@@ -255,9 +284,11 @@
         <term><command>gpgconf</command></term>
         <listitem>
-          <para>is a utility used to automatically and reasonable safely
-          query and modify configuration files in the
-          <filename class='directory'>~/.gnupg</filename> home directory. It is
-          designed not to be invoked manually by the user, but automatically by
-          graphical user interfaces.</para>
+          <para>
+            is a utility used to automatically and reasonable safely
+            query and modify configuration files in the
+            <filename class="directory">~/.gnupg</filename> home
+            directory. It is designed not to be invoked manually by
+            the user, but automatically by graphical user interfaces.
+          </para>
           <indexterm zone="gnupg2 gpgconf">
             <primary sortas="b-gpgconf">gpgconf</primary>
@@ -269,6 +300,8 @@
         <term><command>gpgparsemail</command></term>
         <listitem>
-          <para>is a utility currently only useful for debugging. Run it with
-          <parameter>--help</parameter> for usage information.</para>
+          <para>
+            is a utility currently only useful for debugging. Run it with
+            <parameter>--help</parameter> for usage information.
+          </para>
           <indexterm zone="gnupg2 gpgparsemail">
             <primary sortas="b-gpgparsemail">gpgparsemail</primary>
@@ -280,8 +313,9 @@
         <term><command>gpgsm</command></term>
         <listitem>
-          <para>is a tool similar to <command>gpg</command> used to provide
-          digital encryption and signing services on X.509 certificates and the
-          CMS protocol. It is mainly used as a backend for S/MIME mail
-          processing.</para>
+          <para>
+            is a tool similar to <command>gpg</command> used to provide digital
+            encryption and signing services on X.509 certificates and the CMS
+            protocol. It is mainly used as a backend for S/MIME mail processing.
+          </para>
           <indexterm zone="gnupg2 gpgsm">
             <primary sortas="b-gpgsm">gpgsm</primary>
@@ -293,6 +327,8 @@
         <term><command>gpgsm-gencert.sh</command></term>
         <listitem>
-          <para>is a simple tool used to interactively generate a certificate
-          request which will be printed to stdout.</para>
+          <para>
+            is a simple tool used to interactively generate a certificate
+            request which will be printed to stdout.
+          </para>
           <indexterm zone="gnupg2 gpgsm-gencert.sh">
             <primary sortas="b-gpgsm-gencert.sh">gpgsm-gencert.sh</primary>
@@ -304,5 +340,7 @@
         <term><command>gpgv2</command></term>
         <listitem>
-          <para>is a verify only version of <command>gpg2</command>.</para>
+          <para>
+            is a verify only version of <command>gpg2</command>.
+          </para>
           <indexterm zone="gnupg2 gpgv2">
             <primary sortas="b-gpgv2">gpgv2</primary>
@@ -314,5 +352,7 @@
         <term><command>kbxutil</command></term>
         <listitem>
-          <para>is used to list, export and import Keybox data.</para>
+          <para>
+            is used to list, export and import Keybox data.
+          </para>
           <indexterm zone="gnupg2 kbxutil">
             <primary sortas="b-kbxutil">kbxutil</primary>
@@ -321,19 +361,10 @@
       </varlistentry>
 
-      <varlistentry id="scdaemon">
-        <term><command>scdaemon</command></term>
-        <listitem>
-          <para>is a daemon used to manage smartcards. It is usually invoked by
-          <command>gpg-agent</command> and in general not used directly.</para>
-          <indexterm zone="gnupg2 scdaemon">
-            <primary sortas="b-scdaemon">scdaemon</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="symcryptrun">
         <term><command>symcryptrun</command></term>
         <listitem>
-          <para>is a simple symmetric encryption tool.</para>
+          <para>
+            is a simple symmetric encryption tool.
+          </para>
           <indexterm zone="gnupg2 symcryptrun">
             <primary sortas="b-symcryptrun">symcryptrun</primary>
@@ -345,6 +376,8 @@
         <term><command>watchgnupg</command></term>
         <listitem>
-          <para>is used to listen to a Unix Domain socket created by any of
-          the GnuPG tools.</para>
+          <para>
+            is used to listen to a Unix Domain socket created by any of
+            the GnuPG tools.
+          </para>
           <indexterm zone="gnupg2 watchgnupg">
             <primary sortas="b-watchgnupg">watchgnupg</primary>