Index: general.ent
===================================================================
--- general.ent	(revision 48651a81a8141df0dc020efb87f549b39c977c7f)
+++ general.ent	(revision 9681d3faa5bf84d507c841c3022a73a84f37b257)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "24">                   <!-- Always 2 digits -->
+<!ENTITY day          "26">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 24th, &year;">
+<!ENTITY releasedate  "February 26th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -970,4 +970,5 @@
 <!ENTITY xine-ui-version              "0.99.6">
 <!ENTITY transcode-version            "1.0.3">
+<!ENTITY vlc-version                  "2.0.0">
 
 <!-- Chapter 42 -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 48651a81a8141df0dc020efb87f549b39c977c7f)
+++ introduction/welcome/changelog.xml	(revision 9681d3faa5bf84d507c841c3022a73a84f37b257)
@@ -44,4 +44,14 @@
 
     <listitem>
+      <para>February 26th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Added Vlc 2.0.0. Thanks to Ragnar Thomsen for
+          doing the work and sending a patch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 24th, 2012</para>
       <itemizedlist>
@@ -52,4 +62,5 @@
       </itemizedlist>
     </listitem>
+
 
     <listitem>
Index: multimedia/videoutils/videoutils.xml
===================================================================
--- multimedia/videoutils/videoutils.xml	(revision 48651a81a8141df0dc020efb87f549b39c977c7f)
+++ multimedia/videoutils/videoutils.xml	(revision 9681d3faa5bf84d507c841c3022a73a84f37b257)
@@ -28,4 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xine-ui.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="transcode.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vlc.xml"/>
 
 </chapter>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision 9681d3faa5bf84d507c841c3022a73a84f37b257)
+++ multimedia/videoutils/vlc.xml	(revision 9681d3faa5bf84d507c841c3022a73a84f37b257)
@@ -0,0 +1,291 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY vlc-download-http
+  "http://download.videolan.org/pub/videolan/vlc/&vlc-version;/vlc-&vlc-version;.tar.xz">
+  <!ENTITY vlc-download-ftp
+  "ftp://ftp.videolan.org/pub/videolan/vlc/&vlc-version;/vlc-&vlc-version;.tar.xz">
+  <!ENTITY vlc-md5sum        "8806bff2ea9c76791123d444a92f708c">
+  <!ENTITY vlc-size          "17 MB">
+  <!ENTITY vlc-buildsize     "208 MB">
+  <!ENTITY vlc-time          "4.3 SBU">
+]>
+
+<sect1 id="vlc" xreflabel="vlc-&vlc-version;">
+  <?dbhtml filename="vlc.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>VLC-&vlc-version;</title>
+
+  <indexterm zone="vlc">
+    <primary sortas="a-VLC">VLC</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to VLC</title>
+
+    <para><application>VLC</application> is a media player, streamer, and
+    encoder. It can play from many inputs like files, network streams, capture
+    device, desktops, or DVD, SVCD, VCD, and audio 
+    CD. It can play most audio and video codecs (MPEG 1/2/4, H264, VC-1, DivX,
+    WMV, Vorbis, AC3, AAC, etc.), but can also convert to different formats
+    and/or send streams through the network.</para>
+
+    &lfs70_checked;
+    
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&vlc-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&vlc-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &vlc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &vlc-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &vlc-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &vlc-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">VLC Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+    <xref linkend="dbus"/>
+    </para>
+       
+    <bridgehead renderas="sect4">Optional input drivers and
+    libraries</bridgehead>  
+    <para role="optional">
+    <xref linkend="libproxy"/>, 
+    <ulink url="http://www.live555.com/">Live555</ulink>, 
+    <ulink url="http://sourceforge.net/projects/libdc1394/">DC1394</ulink>, 
+    <xref linkend="libdv"/>, 
+    <xref linkend="libdvdread"/>, 
+    <xref linkend="libdvdnav"/>, 
+    <ulink
+    url="http://www.videolan.org/developers/libbluray.html">libbluray</ulink>, 
+    <ulink url="http://opencv.willowgarage.com/wiki/">OpenCV</ulink>, 
+    <xref linkend="samba3"/>, 
+    <xref linkend="gvfs"/>, 
+    <ulink url="http://wiki.videolan.org/Libvcdinfo">libvcdinfo</ulink>, 
+    <ulink url="http://libcddb.sourceforge.net/">libcddb</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional mux/demux plugins</bridgehead>  
+    <para role="optional">
+    <ulink url="http://code.google.com/p/game-music-emu/">Game Music
+    Emu</ulink>, 
+    <xref linkend="libogg"/>, 
+    <ulink url="http://directory.fsf.org/wiki/Libshout">libshout</ulink>, 
+    <ulink url="http://modplug-xmms.sourceforge.net/">libmod</ulink>, 
+    <ulink url="http://www.musepack.net/index.php?pg=home">Musepack</ulink>
+    </para>
+
+    <bridgehead renderas="sect4">Optional codec plugins</bridgehead>
+    <para role="optional">
+    <ulink url="http://sourceforge.net/projects/libshine-fxp/">Shine</ulink>, 
+    <ulink url="http://www.khronos.org/openmax/">OpenMAX</ulink>, 
+    <xref linkend="libmad"/>, 
+    <xref linkend="ffmpeg"/>, 
+    <ulink url="http://www.splitted-desktop.com/static/libva/">libva</ulink>, 
+    <xref linkend="faad2"/>, 
+    <ulink url="http://www.twolame.org/">Twolame</ulink>, 
+    <xref linkend="liba52"/>, 
+    <ulink url="http://www.videolan.org/developers/libdca.html">libdca</ulink>, 
+    <xref linkend="flac"/>, 
+    <xref linkend="libmpeg2"/>, 
+    <xref linkend="libvorbis"/>, 
+    <xref linkend="speex"/>, 
+    <xref linkend="libtheora"/>, 
+    <ulink url="http://diracvideo.org/download/dirac-research/">Dirac</ulink>, 
+    <ulink
+    url="http://diracvideo.org/download/schroedinger/">Schroedinger</ulink>, 
+    <xref linkend="libpng"/>, 
+    <ulink url="http://www.videolan.org/developers/x264.html">libx264</ulink>, 
+    <ulink
+    url="http://sourceforge.net/apps/trac/fluidsynth/">FluidSynth</ulink>, 
+    <ulink url="http://zapping.sourceforge.net/ZVBI/index.html">Zapping
+    VBI</ulink>, 
+    <ulink url="http://code.google.com/p/libass/">libass</ulink>, 
+    <ulink url="http://code.google.com/p/libkate/">libkate</ulink>, 
+    <ulink url="http://code.google.com/p/libtiger/">libtiger</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional video plugins</bridgehead>
+    <para role="optional">
+    <xref linkend="sdl"/>, 
+    <xref linkend="freetype2"/>, 
+    <xref linkend="fribidi"/>, 
+    <xref linkend="fontconfig"/>, 
+    <xref linkend="aalib"/>, 
+    <ulink url="http://caca.zoy.org/">libcaca</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional audio plugins</bridgehead>
+    <para role="optional">
+    <xref linkend="pulseaudio"/>, 
+    <xref linkend="alsa-lib"/>, 
+    <ulink url="http://www.portaudio.com/">PortAudio</ulink>, 
+    <ulink url="http://jackaudio.org/">JACK</ulink>, 
+    <ulink url="http://www.mega-nerd.com/SRC/">libsamplerate</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional interface plugins</bridgehead>
+    <para role="optional">
+    <xref linkend="qt4"/>, 
+    <ulink url="http://www.lirc.org/">LIRC</ulink>, 
+    <ulink url="http://www.feep.net/libtar/">libtar</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional visualization plugins</bridgehead>
+    <para role="optional">
+    <ulink url="http://sourceforge.net/projects/goom/">Goom</ulink>, 
+    <ulink url="http://projectm.sourceforge.net/">projectM</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional service discovery plugins</bridgehead>
+    <para role="optional">
+    <ulink url="http://libmtp.sourceforge.net/">MTP</ulink>, 
+    <ulink url="http://pupnp.sourceforge.net/">UPnP</ulink>
+    </para>
+    
+    <bridgehead renderas="sect4">Optional miscellaneous
+    dependencies</bridgehead>
+    <para role="optional">
+    <xref linkend="libgcrypt"/>, 
+    <xref linkend="gnutls"/>, 
+    <xref linkend="libnotify"/>, 
+    <ulink url="http://developer.kde.org/~wheeler/taglib.html">taglib</ulink>, 
+    <ulink url="http://medialibrary.sourceforge.net/">MediaLibrary</ulink>, 
+    <xref linkend="sqlite"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/vlc"/></para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of VLC</title>
+
+    <para>Install <application>VLC</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr \
+    --disable-lua &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command></para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--disable-lua</parameter>: The package fails to install if
+    Lua is missing. Omit this option if you have Lua.</para>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>cvlc, qvlc, rvlc, svlc, vlc and vlc-wrapper</seg>
+        <seg>libvlccore.so, libvlc.so and several libraries in
+        /usr/lib/vlc/plugins</seg>
+        <seg>/usr/lib/vlc, /usr/include/vlc, /usr/share/vlc and
+        /usr/share/doc/vlc</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cvlc">
+        <term><command>cvlc</command></term>
+        <listitem>
+          <para>script to run VLC with the dummy interface</para>
+          <indexterm zone="vlc cvlc">
+            <primary sortas="b-cvlc">cvlc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="qvlc">
+        <term><command>qvlc</command></term>
+        <listitem>
+          <para>script to run VLC with the QT4 interface</para>
+          <indexterm zone="vlc qvlc">
+            <primary sortas="b-qvlc">qvlc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="rvlc">
+        <term><command>rvlc</command></term>
+        <listitem>
+          <para>script to run VLC with a command line interface</para>
+          <indexterm zone="vlc rvlc">
+            <primary sortas="b-rvlc">rvlc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="svlc">
+        <term><command>svlc</command></term>
+        <listitem>
+          <para>script to run VLC with the skins interface</para>
+          <indexterm zone="vlc svlc">
+            <primary sortas="b-svlc">svlc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="vlc-prog">
+        <term><command>vlc</command></term>
+        <listitem>
+          <para>the VLC media player</para>
+          <indexterm zone="vlc vlc-prog">
+            <primary sortas="b-vlc">vlc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+       <varlistentry id="vlc-wrapper">
+        <term><command>vlc-wrapper</command></term>
+        <listitem>
+          <para>a wrapper to drop privileges with VLC</para>
+          <indexterm zone="vlc vlc-wrapper">
+            <primary sortas="b-vlc-wrapper">vlc-wrapper</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>