Index: gnome/core/gnome-applets.xml
===================================================================
--- gnome/core/gnome-applets.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/gnome-applets.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -108,6 +108,6 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--libexecdir=`pkg-config --variable=prefix
-    ORBit-2.0`/lib/gnome-applets</parameter>: This switch puts libexec files
+    <para><parameter>--libexecdir=$(pkg-config --variable=prefix
+    ORBit-2.0)/lib/gnome-applets</parameter>: This switch puts libexec files
     in <filename class="directory">$GNOME_PREFIX/lib/gnome-applets</filename>
     instead of
Index: gnome/core/gnome-doc-utils.xml
===================================================================
--- gnome/core/gnome-doc-utils.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/gnome-doc-utils.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY gnome-doc-utils-download-http "&gnome-download-http;/gnome-doc-utils/0.4/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
-  <!ENTITY gnome-doc-utils-download-ftp  "&gnome-download-ftp;/gnome-doc-utils/0.4/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
+  <!ENTITY gnome-doc-utils-download-http "&gnome-download-http;/gnome-doc-utils/0.6/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
+  <!ENTITY gnome-doc-utils-download-ftp  "&gnome-download-ftp;/gnome-doc-utils/0.6/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
   <!ENTITY gnome-doc-utils-md5sum        "c706b807b15e07e58561f903c0f20c26">
   <!ENTITY gnome-doc-utils-size          "384 KB">
@@ -91,6 +91,5 @@
     by running the following commands:</para>
 
-<screen><userinput>
-./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
             --mandir=$(pkg-config \
                 --variable=prefix ORBit-2.0)/share/man &amp;&amp;
Index: gnome/core/gnome-menus.xml
===================================================================
--- gnome/core/gnome-menus.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/gnome-menus.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -100,7 +100,9 @@
     links as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>ln -v -s $GNOME_PREFIX/lib/python2.4/site-packages/GMenuSimpleEditor \
+<screen role="root"><userinput>ln -v -s $(pkg-config --variable=prefix \
+             ORBit-2.0)/lib/python2.4/site-packages/GMenuSimpleEditor \
          /usr/lib/python2.4/site-packages &amp;&amp;
-ln -v -s $GNOME_PREFIX/lib/python2.4/site-packages/gmenu.* \
+ln -v -s $(pkg-config --variable=prefix \
+             ORBit-2.0)/lib/python2.4/site-packages/gmenu.* \
          /usr/lib/python2.4/site-packages</userinput></screen>
 
Index: gnome/core/gnome-panel.xml
===================================================================
--- gnome/core/gnome-panel.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/gnome-panel.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -100,6 +100,6 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--libexecdir=`pkg-config --variable=prefix
-    ORBit-2.0`/lib/gnome-panel</parameter>: This switch puts libexec files in
+    <para><parameter>--libexecdir=$(pkg-config --variable=prefix
+    ORBit-2.0)/lib/gnome-panel</parameter>: This switch puts libexec files in
     <filename class="directory">$GNOME_PREFIX/lib/gnome-panel</filename>
     instead of
Index: gnome/core/libbonoboui.xml
===================================================================
--- gnome/core/libbonoboui.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/libbonoboui.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -75,5 +75,5 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
 make</userinput></screen>
 
Index: gnome/core/libgnomeui.xml
===================================================================
--- gnome/core/libgnomeui.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/libgnomeui.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -93,6 +93,7 @@
     <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>ln -v -s $GNOME_PREFIX/lib/gtk-2.0/2.4.0/filesystems \
-    /usr/lib/gtk-2.0/2.4.0</userinput></screen>
+<screen role="root"><userinput>ln -v -s $(pkg-config \
+      --variable=prefix ORBit-2.0)/lib/gtk-2.0/2.4.0/filesystems \
+      /usr/lib/gtk-2.0/2.4.0</userinput></screen>
 
   </sect2>
Index: gnome/core/libgtop.xml
===================================================================
--- gnome/core/libgtop.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/libgtop.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -95,7 +95,8 @@
     class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>install -v -m755 -d $GNOME_PREFIX/lib/libgtop/examples &amp;&amp;
+<screen role="root"><userinput>install -v -m755 -d $(pkg-config \
+        --variable=prefix ORBit-2.0)/lib/libgtop/examples &amp;&amp;
 install -v -m755 examples/.libs/* \
-    $GNOME_PREFIX/lib/libgtop/examples</userinput></screen>
+        $(pkg-config --variable=prefix ORBit-2.0)/lib/libgtop/examples</userinput></screen>
 
   </sect2>
Index: gnome/core/pre-install-config.xml
===================================================================
--- gnome/core/pre-install-config.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/pre-install-config.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -25,9 +25,23 @@
   it in an easy-to-remove location:</para>
 
+  <note>
+    <para>You may wish to create a symbolic link to the actual versioned
+    directory using a non-versioned name. This has the advantage of an easier
+    path to type in all the changes below and also makes it easy to point
+    to a different/newer version of GNOME without changing all the edits
+    below. If you wish to use a non-versioned name in the changes below,
+    issue the following commands as the
+    <systemitem class='username'>root</systemitem> user:</para>
+
+<screen role='root'><userinput>install -v -m755 -d /opt/gnome-&gnome-version;&gnome-minor-version; &amp;&amp;
+ln -v -s gnome-&gnome-version;&gnome-minor-version; /opt/gnome</userinput></screen>
+  </note>
+
+  <para>If you created the symbolic link, change all instances of <filename
+  class='directory'>/opt/gnome-&gnome-version;&gnome-minor-version;</filename>
+  to <filename class='directory'>/opt/gnome</filename> in the instructions
+  below.</para>
+
 <screen><userinput>export GNOME_PREFIX=/opt/gnome-&gnome-version;&gnome-minor-version;</userinput></screen>
-
-  <para>Remember to execute <command>ldconfig</command> as the
-  <systemitem class='username'>root</systemitem> user after installation of
-  libraries to update the linker's library cache.</para>
 
   <para>The try-out group will also need to make all the following
@@ -60,3 +74,9 @@
 EOF</userinput></screen>
 
+  <tip>
+    <para>Remember to execute <command>ldconfig</command> as the
+    <systemitem class='username'>root</systemitem> user after installation of
+    libraries to update the linker's library cache.</para>
+  </tip>
+
 </sect1>
Index: gnome/core/vte.xml
===================================================================
--- gnome/core/vte.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/core/vte.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.11/vte-&vte-version;.tar.bz2">
-  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.11/vte-&vte-version;.tar.bz2">
+  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.12/vte-&vte-version;.tar.bz2">
+  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.12/vte-&vte-version;.tar.bz2">
   <!ENTITY vte-md5sum        "7cb1bd6ca528bc4db5ec685549fd3eb1">
   <!ENTITY vte-size          "974 KB">
Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision 67934af1282a8091b9e4b481605b3d820bc052e0)
+++ gnome/gnome-intro.xml	(revision 9761bea4f9a84a6b8d37fe324133fe6f99dffd88)
@@ -31,7 +31,8 @@
   are going to keep the GNOME installation, or you think you will update to the
   newest releases as they become available, you should install with
-  <option>--prefix=/opt/gnome-&gnome-version;</option>. Setting the environment
-  variable and the additional edits required by the second option are covered
-  in the Pre-Installation Configuration section.</para>
+  <option>--prefix=/opt/gnome-&gnome-version;&gnome-minor-version;</option>.
+  Setting the environment variable and the additional edits required by the
+  second option are covered in the Pre-Installation Configuration
+  section.</para>
 
   <para>If you choose the second option, removal of
@@ -41,5 +42,5 @@
   user):</para>
 
-<screen role="root"><userinput>rm -rf /opt/gnome-&gnome-version;</userinput></screen>
+<screen role="root"><userinput>rm -rf /opt/gnome-&gnome-version;&gnome-minor-version;</userinput></screen>
 
   <para>If your system was completely built per LFS and BLFS instructions,
@@ -84,5 +85,5 @@
   perform a full installation following the BLFS book. You may wish to review
   the automated methods mentioned in the
-  GNOME-&gnome-version;&gnome-minor-version; <ulink
+  GNOME-&gnome-version; <ulink
   url="http://www.gnome.org/start/2.14/notes/en/rninstallation.html">Release
   Notes</ulink>. Note that using any other method to install