Index: general.ent
===================================================================
--- general.ent	(revision 7771f84131658dd8a16ddc06538ff0fbdc7d2932)
+++ general.ent	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
@@ -1,3 +1,3 @@
-<!ENTITY day          "14">
+<!ENTITY day          "19">
 <!ENTITY month        "09">
 <!ENTITY year         "2004">
@@ -98,4 +98,5 @@
 <!ENTITY hd2u-version                 "0.9.1">
 <!ENTITY screen-version               "4.0.2">
+<!ENTITY tidy-version                 "040916">
                                                                                       
 <!-- Chapter 11 -->                  
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 7771f84131658dd8a16ddc06538ff0fbdc7d2932)
+++ general/genutils/genutils.xml	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
@@ -16,4 +16,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="hd2u.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="screen.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tidy.xml"/>
 
 </chapter>
Index: general/genutils/tidy.xml
===================================================================
--- general/genutils/tidy.xml	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
+++ general/genutils/tidy.xml	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
@@ -0,0 +1,136 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY tidy-download-http "http://tidy.sourceforge.net/src/tidy_src_&tidy-version;.tgz">
+  <!ENTITY tidy-download-ftp  " ">
+  <!ENTITY tidy-size          "244 KB">
+  <!ENTITY tidy-buildsize     "9.4 MB">
+  <!ENTITY tidy-time          "0.25 SBU">
+]>
+
+<sect1 id="tidy" xreflabel="HTML Tidy-&tidy-version;">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="tidy.html"?>
+<title>HTML Tidy-&tidy-version;</title>
+
+<sect2>
+<title>Introduction to <application>HTML Tidy</application></title>
+
+<para>The <application><acronym>HTML</acronym> Tidy</application> package 
+contains a command line tool and libraries used to read 
+<acronym>HTML</acronym>, <acronym>XHTML</acronym> and <acronym>XML</acronym> 
+files and write cleaned up markup. It detects and corrects many common coding 
+errors and strives to produce visually equivalent markup that is both 
+<acronym>W3C</acronym> compliant and compatible with most browsers.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing="compact">
+<listitem><para>Download (HTTP): 
+<ulink url="&tidy-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&tidy-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &tidy-size;</para></listitem>
+<listitem><para>Estimated Disk space required: 
+&tidy-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &tidy-time;</para></listitem>
+</itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing="compact">
+<listitem><para>Documentation: <ulink 
+url="http://tidy.sourceforge.net/docs/tidy_docs.tgz"/></para></listitem>
+</itemizedlist>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>HTML</acronym> 
+Tidy</application></title>
+
+<para>The <application><acronym>HTML</acronym> Tidy</application> documentation 
+is contained in a separate tarball. Unpack both the source and docs tarballs
+before starting the build.</para>
+
+<para>Install <application><acronym>HTML</acronym> Tidy</application> by 
+running the following commands:</para>
+
+<screen><userinput><command>sh build/gnuauto/setup.sh &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+install -m644 -oroot -groot htmldoc/man_page.txt \
+    /usr/share/man/man1/tidy.1 &amp;&amp;
+install -d -m755 -oroot -groot /usr/share/doc/tidy &amp;&amp;
+cp -R htmldoc /usr/share/doc/tidy &amp;&amp;
+chown -R root:root /usr/share/doc/tidy</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><command>sh build/gnuauto/setup.sh</command>: This command prepares the 
+source tree for building using the <acronym>GNU</acronym> <quote>Auto</quote> 
+tools.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application><acronym>HTML</acronym> 
+Tidy</application></title>
+
+<sect3><title>Config files</title>
+<para>The absolute path of the file specified in 
+<envar>$HTML_TIDY</envar>.</para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>The default configuration options can be set in the file defined in 
+<envar>$HTML_TIDY</envar>. Additional configuration options can be passed to 
+<command>tidy</command> via command line parameters or the 
+<parameter>-config &lt;file&gt;</parameter> parameter.</para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>HTML</acronym> Tidy</application> package 
+contains <command>tidy</command>, <command>tab2space</command> and the 
+<filename class='libraryfile'>libtidy</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>tidy</title>
+<para><command>tidy</command> validates, corrects, and pretty-prints 
+<acronym>HTML</acronym> files.</para>
+</sect3>
+
+<sect3><title>tab2space</title>
+<para><command>tab2space</command> is a utility to expand tabs and ensure 
+consistent line endings.</para>
+</sect3>
+
+<sect3><title>libtidy libraries</title>
+<para><filename class='libraryfile'>libtidy</filename> libraries provide the 
+<application><acronym>HTML</acronym> Tidy</application> <acronym>API</acronym> 
+functions to <command>tidy</command> and can also be called by other 
+programs.</para>
+</sect3>
+
+</sect2>
+
+</sect1>
+
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7771f84131658dd8a16ddc06538ff0fbdc7d2932)
+++ introduction/welcome/changelog.xml	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
@@ -23,4 +23,7 @@
 <itemizedlist>
 
+<listitem><para>September 19th, 2004 [randy]: Added new package 
+HTML Tidy.</para></listitem>
+
 <listitem><para>September 14th, 2004 [randy]: Updated DB-4 download location
 and chown command as suggested by Nico Roeser.</para></listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 7771f84131658dd8a16ddc06538ff0fbdc7d2932)
+++ introduction/welcome/credits.xml	(revision 9766fba2aa418273a2f10e57b5bb2c13e3aca651)
@@ -150,7 +150,7 @@
 </listitem>
 
-<listitem><para>DocBook-utils, Cyrus-SASL, DejaGnu, Expect, Heimdal, JadeTeX, 
-SGMLSpm Perl module, SLIB and Sysstat: <emphasis>Randy McMurchy</emphasis></para>
-</listitem>
+<listitem><para>Cyrus-SASL, DejaGnu, DocBook-utils, Expect, Heimdal, 
+HTML Tidy, JadeTeX, SGMLSpm Perl module, SLIB and Sysstat: 
+<emphasis>Randy McMurchy</emphasis></para></listitem>
 
 <listitem><para>Screen: <emphasis>Andreas Pedersen</emphasis></para></listitem>