Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ gnome/gnome.ent	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -28,4 +28,5 @@
 <!ENTITY % libgnomeprint SYSTEM "lib/libgnomeprint/libgnomeprint.ent">
 <!ENTITY % libgnomeprintui SYSTEM "lib/libgnomeprint/libgnomeprintui.ent">
+<!ENTITY % gtk-engines SYSTEM "lib/gtk-engines/gtk-engines.ent">
 %libglade;
 %intltool;
@@ -53,4 +54,5 @@
 %libgnomeprint;
 %libgnomeprintui;
+%gtk-engines;
 
 <!-- Gnome Core -->
Index: gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml
===================================================================
--- gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -3,5 +3,5 @@
 
 <para>The gnome-mime-data package contains <userinput>icons</userinput>,
-<userinput>application-registry</userinput> and <userinput>mime-info</userinput></para>
+<userinput>application-registry</userinput> and <userinput>mime-info</userinput>.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/gnome-libs-config.xml
===================================================================
--- gnome/lib/gnomelib/gnome-libs-config.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ gnome/lib/gnomelib/gnome-libs-config.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -3,5 +3,5 @@
 
 <sect3><title>Config files</title>
-<para><userinput>/etc/gnome/mime-magic, /etc/gnome/paper.config, /etc/gnome/sound/events/gnome.soundlist and /etc/gnome/sound/events/gtk-events.soundlist</userinput></para>
+<para><userinput>/opt/gnome/etc/mime-magic, /opt/gnome/etc/paper.config, /opt/gnome/etc/sound/events/gnome.soundlist and /opt/gnome/etc/sound/events/gtk-events.soundlist</userinput></para>
 </sect3>
 
Index: gnome/lib/gnomelib/gnome-libs-exp.xml
===================================================================
--- gnome/lib/gnomelib/gnome-libs-exp.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ gnome/lib/gnomelib/gnome-libs-exp.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -2,10 +2,6 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc/gnome :</userinput> This command puts
-configuration files in <filename>/etc/gnome</filename> instead of
-<filename>/opt/gnome/etc</filename>.</para>
-
-<para><userinput>--localstatedir=/var :</userinput> This command puts
-state files in <filename>/var</filename> instead of
+<para><userinput>--localstatedir=/var/spool :</userinput> This command puts
+state files in <filename>/var/spool</filename> instead of
 <filename>/opt/gnome/var</filename>.</para>
 
Index: gnome/lib/gtk-engines.xml
===================================================================
--- gnome/lib/gtk-engines.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,11 @@
+<sect1 id="gtk-engines" xreflabel="gtk-engines-&gtk-engines-version;">
+<?dbhtml filename="gtk-engines.html" dir="gnome"?>
+<title>gtk-engines-&gtk-engines-version;</title>
+
+&gtk-engines-intro;
+&gtk-engines-inst;
+&gtk-engines-config;
+&gtk-engines-desc;
+
+</sect1>
+
Index: gnome/lib/gtk-engines/gtk-engines-config.xml
===================================================================
--- gnome/lib/gtk-engines/gtk-engines-config.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines/gtk-engines-config.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Configuring gtk-engines</title>
+
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: gnome/lib/gtk-engines/gtk-engines-desc.xml
===================================================================
--- gnome/lib/gtk-engines/gtk-engines-desc.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines/gtk-engines-desc.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gtk-engines package contains <userinput>engine
+libraries</userinput> and <userinput>theme files</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>engine libraries</title>
+<para>engine libraries is a theme manager.</para></sect3>
+
+<sect3><title>theme files</title>
+<para>theme files included are Pixmap, Metal and Redmond95.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/gtk-engines/gtk-engines-inst.xml
===================================================================
--- gnome/lib/gtk-engines/gtk-engines-inst.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines/gtk-engines-inst.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of gtk-engines</title>
+
+<para>Install gtk-engines by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/lib/gtk-engines/gtk-engines-intro.xml
===================================================================
--- gnome/lib/gtk-engines/gtk-engines-intro.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines/gtk-engines-intro.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to gtk-engines</title>
+
+<screen>Download location (HTTP):       <ulink url="&gtk-engines-download-http;"/>
+Download location (FTP):        <ulink url="&gtk-engines-download-ftp;"/>
+Version used:                   &gtk-engines-version;
+Package size:                   &gtk-engines-size;
+Estimated Disk space required:  &gtk-engines-buildsize;</screen>
+
+<para>The gtk-engines package contains three themes for GTK2.</para>
+
+<screen>gtk-engines depends on:
+<xref linkend="GTK2"/></screen>
+
+</sect2>
Index: gnome/lib/gtk-engines/gtk-engines.ent
===================================================================
--- gnome/lib/gtk-engines/gtk-engines.ent	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
+++ gnome/lib/gtk-engines/gtk-engines.ent	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -0,0 +1,11 @@
+<!ENTITY gtk-engines SYSTEM "../gtk-engines.xml">
+<!ENTITY gtk-engines-intro SYSTEM "gtk-engines-intro.xml">
+<!ENTITY gtk-engines-inst SYSTEM "gtk-engines-inst.xml">
+<!ENTITY gtk-engines-exp SYSTEM "gtk-engines-exp.xml">
+<!ENTITY gtk-engines-desc SYSTEM "gtk-engines-desc.xml">
+<!ENTITY gtk-engines-config SYSTEM "gtk-engines-config.xml">
+<!ENTITY gtk-engines-buildsize "1.9 MB">
+<!ENTITY gtk-engines-version "1.9.0">
+<!ENTITY gtk-engines-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/gtk-engines/gtk-engines-1.9.0.tar.gz">
+<!ENTITY gtk-engines-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/gtk-engines/gtk-engines-1.9.0.tar.tz">
+<!ENTITY gtk-engines-size "432 KB">
Index: gnome/lib/lib.xml
===================================================================
--- gnome/lib/lib.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ gnome/lib/lib.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -58,4 +58,5 @@
 &libgnomeprint;
 &libgnomeprintui;
+&gtk-engines;
 &gdk;
 
Index: index.xml
===================================================================
--- index.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ index.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20020901">
-<!ENTITY releasedate "September 1st, 2002">
+<!ENTITY version "20020902">
+<!ENTITY releasedate "September 2nd, 2002">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ introduction/welcome/changelog.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 2nd, 2002 [larry]: Gnome: Added
+gtk-engines-1.9.0.</para></listitem>
 
 <listitem><para>September 1st, 2002 [larry]: Gnome: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
+++ introduction/welcome/credits.xml	(revision 98526b7f266a8913fec90e00fbb007ef0224cb86)
@@ -77,6 +77,5 @@
 cpio, curl, dhcp, DocBook, enlightenment, esound, fcron, fluxbox, FNLIB,
 gcc, gdbm, GLib2, gmp, gnat, gnome-common, gnome-libs, gnome-mime-data,
-gnome-vfs, GTK+2, gtk-doc, imlib, intltool, j2sdk, lame, libao, libart_lgpl,
-libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui, libgnomeui, libIDL, libogg, librep, libvorbis, libwnck, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+gnome-vfs, GTK+2, gtk-doc, gtk-engines, imlib, intltool, j2sdk, lame, libao, libart_lgpl, libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui, libgnomeui, libIDL, libogg, librep, libvorbis, libwnck, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen