Index: general.ent
===================================================================
--- general.ent	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ general.ent	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 16th, &year;">
+<!ENTITY releasedate  "August 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ general/genlib/boost.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -7,8 +7,8 @@
   <!ENTITY boost-download-http "https://dl.bintray.com/boostorg/release/&boost-version;/source/boost_&boost-dl-version;.tar.bz2">
   <!ENTITY boost-download-ftp  " ">
-  <!ENTITY boost-md5sum        "9273c8c4576423562bbe84574b07b2bd">
-  <!ENTITY boost-size          "104 MB">
+  <!ENTITY boost-md5sum        "da07ca30dd1c0d1fdedbd487efee01bd">
+  <!ENTITY boost-size          "105 MB">
   <!ENTITY boost-buildsize     "1.1 GB (175 MB installed)">
-  <!ENTITY boost-time          "1.6 SBU (Using parallelism=4; add 1.2 SBU for tests)">
+  <!ENTITY boost-time          "1.8 SBU (Using parallelism=4; add 1.2 SBU for tests)">
 ]>
 
@@ -72,5 +72,5 @@
       </listitem>
     </itemizedlist>
-
+    <!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -82,4 +82,5 @@
       </listitem>
     </itemizedlist>
+    -->
 
     <bridgehead renderas="sect3">Boost Dependencies</bridgehead>
@@ -103,5 +104,5 @@
   <sect2 role="installation">
     <title>Installation of Boost</title>
-
+<!--
     <para>
       First, apply a patch wwhich allows to build libreoffice with GCC 10
@@ -110,5 +111,5 @@
 
 <screen><userinput>patch -Np1 -i ../boost-&boost-version;-gcc_10-1.patch</userinput></screen>
-
+-->
     <para>
       This package can be built with several jobs running in parallel. In
@@ -119,5 +120,5 @@
 
 
-<screen><userinput>./bootstrap.sh --prefix=/usr &amp;&amp;
+<screen><userinput>./bootstrap.sh --prefix=/usr --with-python=python3 &amp;&amp;
 ./b2 stage -j<replaceable>&lt;N&gt;</replaceable> threading=multi link=shared</userinput></screen>
 
@@ -143,6 +144,6 @@
 <!-- dev note: ./b2 - -prefix=<DESTDIR>/usr install threading=multi link=shared -->
 
-<screen role="root"><userinput>./b2 install threading=multi link=shared                 &amp;&amp;
-ln -svf detail/sha1.hpp /usr/include/boost/uuid/sha1.hpp</userinput></screen>
+<screen role="root"><userinput>./b2 install threading=multi link=shared           <!--      &amp;&amp;
+	ln -svf detail/sha1.hpp /usr/include/boost/uuid/sha1.hpp--></userinput></screen>
 
   </sect2>
@@ -204,6 +205,6 @@
         </seg>
         <seg>
-          libboost_atomic.so, libboost_chrono.so,
-          libboost_container.so, libboost_context.so, libboost_coroutine.so,
+          libboost_atomic.so, libboost_chrono.so, libboost_container.so,
+          libboost_context.so, libboost_contract.so, libboost_coroutine.so,
           libboost_date_time.so, libboost_exception.a, libboost_fiber.so,
           libboost_filesystem.so,
@@ -212,7 +213,7 @@
           libboost_math_c99f.so, libboost_math_c99l.so, libboost_math_tr1.so,
           libboost_math_tr1f.so, libboost_math_tr1l.so,
-          libboost_nowide.so, libboost_numpy27.so,
+          libboost_nowide.so,
           libboost_prg_exec_monitor.so, libboost_program_options.so,
-          libboost_python27.so or libboost_python3.so, libboost_random.so,
+          libboost_python38.so, libboost_random.so,
           libboost_regex.so, libboost_serialization.so,
           libboost_stacktrace_addr2line.so, libboost_stacktrace_basic.so,
Index: general/prog/scons.xml
===================================================================
--- general/prog/scons.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ general/prog/scons.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ general/prog/subversion.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -48,5 +48,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/elogind.xml
===================================================================
--- general/sysutils/elogind.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ general/sysutils/elogind.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ introduction/welcome/changelog.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -43,4 +43,22 @@
     -->
     <listitem>
+      <para>August 17th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to libreoffice-6.4.6.2. Fixes
+          <ulink url="&blfs-ticket-root;13930">#13930</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to boost-1.74.0. Fixes
+          <ulink url="&blfs-ticket-root;13928">#13928</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to vim-8.2.1361. See
+          <ulink url="&blfs-ticket-root;12241">#12241</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 16th, 2020</para>
       <itemizedlist>
Index: networking/netlibs/serf.xml
===================================================================
--- networking/netlibs/serf.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ networking/netlibs/serf.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/textweb/lynx.xml
===================================================================
--- networking/textweb/lynx.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ networking/textweb/lynx.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ packages.ent	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -68,5 +68,5 @@
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
 <!ENTITY nano-version                 "5.1">
-<!ENTITY vim-version                  "8.2.1209">
+<!ENTITY vim-version                  "8.2.1361">
 <!ENTITY vim-majmin                   "82">
 
@@ -86,5 +86,5 @@
 
 <!ENTITY boost-major                  "1">
-<!ENTITY boost-minor                  "73">
+<!ENTITY boost-minor                  "74">
 <!ENTITY boost-patch                  "0">
 <!ENTITY boost-version                "&boost-major;.&boost-minor;.&boost-patch;">
@@ -892,5 +892,5 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "6.4.5">
+<!ENTITY libreoffice-version          "6.4.6">
 <!ENTITY libreoffice-patch            ".2">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ postlfs/editors/vim.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -9,7 +9,7 @@
   <!ENTITY vim-download-http "&sources-anduin-http;/vim/vim-&vim-version;.tar.gz">
   <!ENTITY vim-download-ftp  " ">
-  <!ENTITY vim-md5sum        "1d26e64eb53f295eeaa7a15f910b9f5a">
+  <!ENTITY vim-md5sum        "e07b0c1e71aa059cdfddc7c93c00c62a">
   <!ENTITY vim-size          "14 MB">
-  <!ENTITY vim-buildsize     "107 MB (add 69 MB for tests)">
+  <!ENTITY vim-buildsize     "144 MB (add 68 MB for tests)">
   <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 2.0 SBU for tests)">
 ]>
@@ -56,5 +56,5 @@
     </note>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/make-ca.xml
===================================================================
--- postlfs/security/make-ca.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ postlfs/security/make-ca.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -53,5 +53,5 @@
     </para>
 
-  &lfs91_checked;
+  &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/docbook-45-xml.xml
===================================================================
--- pst/xml/docbook-45-xml.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ pst/xml/docbook-45-xml.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision 2da40d0eaaa9efd4a903ac191233747a8c3683c5)
+++ xsoft/office/libreoffice.xml	(revision 9873d1ea379c6626b547837795874a0015b16c02)
@@ -8,22 +8,22 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "7305ed1b5774483ca9ca0d6906d8049a">
-  <!ENTITY libreoffice-core-size          "225 MB">
+  <!ENTITY libreoffice-core-md5sum        "ea286614b106ffec94067acb386ae6aa">
+  <!ENTITY libreoffice-core-size          "221 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "f4a3d9dcca02542ec149057d869c8c64">
-  <!ENTITY libreoffice-dict-size          "46 MB">
+  <!ENTITY libreoffice-dict-md5sum        "4eae9b3005b9b852ee41216982961f5e">
+  <!ENTITY libreoffice-dict-size          "44 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "19da65b2748531e85740163fc9695f00">
-  <!ENTITY libreoffice-help-size          "85 MB">
+  <!ENTITY libreoffice-help-md5sum        "c39a5f29c62281558866f5927fd8eea0">
+  <!ENTITY libreoffice-help-size          "84 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "58771e45d87413f96a33e35d821a8122">
-  <!ENTITY libreoffice-translations-size          "166 MB">
+  <!ENTITY libreoffice-translations-md5sum        "8db8282dc7c544f8398e2b66fd89ef93">
+  <!ENTITY libreoffice-translations-size          "165 MB">
 
   <!-- full size remeasured for 6.4.0.3 -->
 
-  <!ENTITY libreoffice-buildsize  "6.3 GB including the additional files if downloaded during the build (769 MB installed). Installing the whole set of languages for 6.4.0.3 requires up to 25 GB (3.2 GB installed)">
+  <!ENTITY libreoffice-buildsize  "9.0 GB including the additional files if downloaded during the build (840 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
 
  <!-- Editors: many updates to poppler will break LO using system poppler until
@@ -42,6 +42,9 @@
        help, translations took less than 2 minutes (1.1 SBU) with
        a good domestic internet connection.  Total time was 60 SBU - ken
+
+       60 SBU not including download of translations, help and dictionary
+       for 6.4.6.2 - pierre
   -->
-  <!ENTITY libreoffice-time "56 SBU with parallelism=4 including typical download time">
+  <!ENTITY libreoffice-time "60 SBU with parallelism=4 including typical download time">
 
 ]>
@@ -70,5 +73,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -522,5 +525,6 @@
       what languages to support. To list several languages, separate them with
       a space. For all languages, use
-      <parameter>--with-lang=ALL</parameter>.
+      <parameter>--with-lang=ALL</parameter>. Note that the translations file
+      is not needed and won't be downloaded if using only en_US as a language.
     </para>
 