Index: general/genlib/glib/glib.ent
===================================================================
--- general/genlib/glib/glib.ent	(revision 17c6aadb61536b743e2b277979b906c9089ae745)
+++ general/genlib/glib/glib.ent	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -14,4 +14,5 @@
 <!ENTITY GLib2-inst SYSTEM "glib2-inst.xml">
 <!ENTITY GLib2-desc SYSTEM "glib2-desc.xml">
+<!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
 <!ENTITY GLib2-config SYSTEM "glib2-config.xml">
 <!ENTITY GLib2-buildsize "17.6 MB">
Index: general/genlib/glib/glib2-exp.xml
===================================================================
--- general/genlib/glib/glib2-exp.xml	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
+++ general/genlib/glib/glib2-exp.xml	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--enable-gtk-doc</userinput> : This switch will rebuild
+the API documentation during the make command.</para>
+
+</sect2>
+
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 17c6aadb61536b743e2b277979b906c9089ae745)
+++ general/genlib/glib2.xml	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -5,4 +5,5 @@
 &GLib2-intro;
 &GLib2-inst;
+&GLib2-exp;
 &GLib2-config;
 &GLib2-desc;
Index: gnome/lib/gtk-doc/gtk-doc-intro.xml
===================================================================
--- gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 17c6aadb61536b743e2b277979b906c9089ae745)
+++ gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -16,6 +16,9 @@
 documentation.  This package is <emphasis>optional</emphasis>, if it is not
 installed, packages will not build the documentation. This does not mean
-that you will not have any documentation, if gtk-doc is not available,
-the install process will copy pre-built documentation to your system. 
+that you will not have any documentation, if gtk-doc is not available or
+is not specifically enabled, the install process will copy pre-built 
+documentation to your system. On Gnome-1.4 packages, gtk-doc must be
+specifically disabled to install prebuilt instructions if it is
+installed. 
 </para>
 
Index: gnome/lib/intltool/intltool.ent
===================================================================
--- gnome/lib/intltool/intltool.ent	(revision 17c6aadb61536b743e2b277979b906c9089ae745)
+++ gnome/lib/intltool/intltool.ent	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -6,5 +6,5 @@
 <!ENTITY intltool-config SYSTEM "intltool-config.xml">
 <!ENTITY intltool-buildsize "952 KB">
-<!ENTITY intltool-version "0.23">
+<!ENTITY intltool-version "0.25">
 <!ENTITY intltool-download-http "http://ftp.gnome.org/pub/GNOME/sources/intltool/0.25/intltool-0.25.tar.bz2">
 <!ENTITY intltool-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/intltool/0.25/intltool-0.25.tar.bz2">
Index: gnome/lib/scrollkeeper/scrollkeeper-exp.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-exp.xml	(revision 17c6aadb61536b743e2b277979b906c9089ae745)
+++ gnome/lib/scrollkeeper/scrollkeeper-exp.xml	(revision 9890c3e122acd4ea147ce838d41dd78b2b19a0c7)
@@ -2,14 +2,14 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc :</userinput> This command puts the
+<para><userinput>--sysconfdir=/etc</userinput> : This switch puts the
 configuration files in <filename>/etc/scrollkeeper</filename>.</para>
 
-<para><userinput>--localstatedir=/var :</userinput> This command puts
+<para><userinput>--localstatedir=/var</userinput> : This switch puts
 scrollkeepers database directory in <filename>/var/lib/scrollkeeper</filename>.</para>
 
-<para><userinput>--disable-static :</userinput> This command prevents
+<para><userinput>--disable-static</userinput> : This switch prevents
 the static library from being built.</para>
 
-<para><userinput>--omfdirs=/usr/share/omf:/opt/gnome/share/omf:/opt/kde/share/omf:/opt/gnome2/share/omf :</userinput> This command sets all the locations for OMF files for scrollkeeper.</para>
+<para><userinput>--omfdirs=/usr/share/omf:/opt/gnome/share/omf:/opt/kde/share/omf:/opt/gnome2/share/omf</userinput> : This switch sets all the locations for OMF files for scrollkeeper.</para>
 </sect2>
 