Index: basicnet/netprogs/tcpwrappers/tcpwrappers-config.xml
===================================================================
--- basicnet/netprogs/tcpwrappers/tcpwrappers-config.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ basicnet/netprogs/tcpwrappers/tcpwrappers-config.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -22,5 +22,5 @@
 </userinput></screen></para>
 <note><para>The finger server is used as an example here.</para></note>
-<para>Similar changes must be made if xinted is used, with the
+<para>Similar changes must be made if xinetd is used, with the
 emphasis being on calling /usr/sbin/tcpd instead of calling the
 service daemon directly, and passing the name of the service daemon to
Index: general/prog/gcc/gcc-exp.xml
===================================================================
--- general/prog/gcc/gcc-exp.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ general/prog/gcc/gcc-exp.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -18,5 +18,5 @@
 are removing Ada, use the separate installation instructions below.</para>
 
-<para><userinput>-- enable shared --enable-threads=posix
+<para><userinput>--enable-shared --enable-threads=posix
 --enable-__cxa_atexit</userinput> : These commands are required to build
 the C++ libraries to published standards.</para>
Index: general/prog/jdk/j2sdk-desc.xml
===================================================================
--- general/prog/jdk/j2sdk-desc.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ general/prog/jdk/j2sdk-desc.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -34,5 +34,5 @@
 
 <sect3><title>jarsigner</title>
-<para>jarsigner signs JAR (Java ARchive) files and verifys the
+<para>jarsigner signs JAR (Java ARchive) files and verifies the
 signatures and integrity of a signed JAR.</para></sect3>
 
@@ -47,5 +47,5 @@
 
 <sect3><title>javadoc</title>
-<para>javadoc parses the declarations anddocumentation comments in a set
+<para>javadoc parses the declarations and documentation comments in a set
 of Java source files and produces a corresponding set of HTML pages
 describing the classes, interfaces, constructors, methods, and fields.</para></sect3>
Index: general/prog/librep/librep-desc.xml
===================================================================
--- general/prog/librep/librep-desc.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ general/prog/librep/librep-desc.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -13,5 +13,5 @@
 
 <sect3><title>librep libraries</title>
-<para>librep libraries contains the functions necessary for the Lisp
+<para>librep libraries contain the functions necessary for the Lisp
 interpreter.</para></sect3>
 
Index: general/prog/python/python-intro.xml
===================================================================
--- general/prog/python/python-intro.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ general/prog/python/python-intro.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -8,5 +8,5 @@
 Estimated Disk space required:  &Python-buildsize;</screen>
 
-<para>The Python package contains the python development enviroment.
+<para>The Python package contains the python development environment.
 This is useful for object-oriented programming, writing scripts,
 prototyping large programs or developing them entirely.</para>
Index: general/sysutils/pkgconfig/pkgconfig-desc.xml
===================================================================
--- general/sysutils/pkgconfig/pkgconfig-desc.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ general/sysutils/pkgconfig/pkgconfig-desc.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -9,5 +9,5 @@
 
 <sect3><title>pkg-config</title>
-<para>pkg-config is a function that returns metainformation for the
+<para>pkg-config is a function that returns meta information for the
 specified library.</para></sect3>
 
Index: gnome/add/docs/gnome2-user-docs-desc.xml
===================================================================
--- gnome/add/docs/gnome2-user-docs-desc.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ gnome/add/docs/gnome2-user-docs-desc.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -9,5 +9,6 @@
 
 <sect3><title>OMF files</title>
-<para>OMF files contain user docmumentation.  These include introductions and help on the core packages.</para></sect3>
+<para>OMF files contain user documentation.  These include introductions and 
+help on the core packages.</para></sect3>
 
 </sect2>
Index: gnome/add/utils/gnome-utils-desc.xml
===================================================================
--- gnome/add/utils/gnome-utils-desc.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ gnome/add/utils/gnome-utils-desc.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -19,5 +19,5 @@
 
 <sect3><title>gnome-character-map</title>
-<para>gnome-character-map allows you to select chatacters from a table
+<para>gnome-character-map allows you to select characters from a table
 and insert them into your applications.</para></sect3>
 
Index: gnome/add/utils/gnome-utils-intro.xml
===================================================================
--- gnome/add/utils/gnome-utils-intro.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ gnome/add/utils/gnome-utils-intro.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -9,5 +9,5 @@
 
 <para>The gnome-utils package contains a collection of small
-applications designed to make you life a little easier.</para>
+applications designed to make your life a little easier.</para>
 
 <screen>gnome-utils depends on:
Index: index.xml
===================================================================
--- index.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ index.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -4,5 +4,5 @@
 
 <!ENTITY version "20030131">
-<!ENTITY releasedate "January 31th, 2003">
+<!ENTITY releasedate "January 31st, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ introduction/welcome/changelog.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -11,5 +11,8 @@
 <itemizedlist>
 
-<listitem><para>January 31th, 2003 [tushar]: Add gcc2-2.95.3 libs.
+<listitem><para>January 31st, 2003 [bdubbs]: Add Openldap.
+</para></listitem>
+
+<listitem><para>January 31th, 2003 [bdubbs]: Fix various types.
 </para></listitem>
 
Index: kde/inst/kde-libs.xml
===================================================================
--- kde/inst/kde-libs.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ kde/inst/kde-libs.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -8,11 +8,20 @@
 Estimated build time:        62 min (667 MHz)</screen></para>
 
-<para>kdelibs can use many optional libraries and programs.  The following are 
-recommended:
-<screen><xref linkend="openssl"/>, <xref linkend="alsa"/>, <xref linkend="pcre"/>, <xref linkend="libxml2"/>,
-<xref linkend="libxslt"/>, and cups.</screen></para>
 
-<para>Other programs and libraries that can be used by kdelibs are:
-<screen><xref linkend="libfam"/> and <xref linkend="libtiff"/></screen></para>
+<warning><para>The KDE instructions are being revised.  The instructions should
+work as described in the following sections, but not all KDE packages
+have been validated.</para></warning>
+
+
+
+<para>The following package is required to install kdelibs:
+<screen><xref linkend="arts"/></screen></para>
+
+<para>kdelibs can use many libraries and programs.  The following are recommended:
+<screen><xref linkend="openssl"/>, <xref linkend="pcre"/>, <xref linkend="libxml2"/>,
+<xref linkend="libxslt"/>, <xref linkend="libfam"/>, and <xref linkend="libart_lgpl"/>.</screen></para>
+
+<para>Other optional programs and libraries that can be used by kdelibs are:
+<screen><xref linkend="cups"/>, <xref linkend="sane"/>, and <xref linkend="openldap"/>.</screen></para>
 
 <para>Install kdelibs with:
Index: kde/kde.ent
===================================================================
--- kde/kde.ent	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ kde/kde.ent	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -43,5 +43,5 @@
 <!ENTITY kdm SYSTEM "inst/kdm.xml">
 
-<!ENTITY kde-version "3.0.5a">
+<!ENTITY kde-version "3.1">
 <!ENTITY kde-download "ftp://ftp.kde.org/pub/kde/stable/&kde-version;/src">
 <!ENTITY kde-dir "/opt/kde-&kde-version;">
Index: multimedia/libdriv/arts.xml
===================================================================
--- multimedia/libdriv/arts.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ multimedia/libdriv/arts.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -14,6 +14,10 @@
 <screen><xref linkend="qt"/></screen></para>
 
-<para>It will use the following optional packages, if installed:
+<para>It will use the following recommended packages, if installed:
 <screen><xref linkend="alsa"/>, <xref linkend="audiofile"/>, and <xref linkend="libvorbis"/>.</screen></para>
+
+<para>Before starting the build, ensure you have the QTDIR environment variable set
+<screen><userinput>export QTDIR=/opt/qt</userinput></screen></para>
+
 
 <para><screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
@@ -21,5 +25,5 @@
 make &amp;&amp;
 make install &amp;&amp;
-ln -sf &kde-dir; /opt/kde</userinput></screen></para>
+ln -sfn &kde-dir; /opt/kde</userinput></screen></para>
 
 <note><para>Another configure option is <userinput>--enable-final</userinput>. 
@@ -38,11 +42,10 @@
 
 <para><userinput>--disable-dependency-tracking:</userinput> This option speeds
-up one time builds.
-</para>
+up one time builds.</para>
 
-<para><userinput>ln -s &kde-dir; /opt/kde:</userinput> This command creates
+<para><userinput>ln -sfn &kde-dir; /opt/kde:</userinput> This command creates
 a link for access to KDE.  If a newer version of KDE is released, the new
 system can be built by changing the <userinput>--prefix</userinput> location
-and then set up by just changing the link.
+and then set up by changing the link as this command does.
 </para>
 
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
+++ server/other/openldap.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -0,0 +1,12 @@
+<sect1 id="openldap" xreflabel="openldap-&openldap-version;">
+<?dbhtml filename="openldap.html" dir="server"?>
+<title>openldap-&openldap-version;</title>
+
+&openldap-intro;
+&openldap-inst;
+&openldap-exp;
+&openldap-config;
+&openldap-desc;
+
+</sect1>
+
Index: server/other/other.xml
===================================================================
--- server/other/other.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ server/other/other.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -3,11 +3,12 @@
 <title>Other Server Software</title>
 
+&bind;
+&cvsserver;
+&dhcp;
+&leafnode;
 &openssh;
-&cvsserver;
-&bind;
-&dhcp;
+&openldap;
+&samba;
 &xinetd;
-&leafnode;
-&samba;
 
 </chapter>
Index: server/other/samba/samba-config-exp.xml
===================================================================
--- server/other/samba/samba-config-exp.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ server/other/samba/samba-config-exp.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -1,6 +1,5 @@
 <sect2>
 <title>Configuration command explanations</title>
-<para><userinput>
-cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF" :</userinput>
+<para><userinput>cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF" :</userinput>
 Create a default Samba configuration file.  This configuration will
 allow Samba to act as a Primary Domain Controller for a Microsoft
@@ -13,13 +12,10 @@
 
 
-<para><userinput>
-cat &gt; /etc/rc.d/init.d/samba &lt;&lt; "EOF" :</userinput>
+<para><userinput>cat &gt; /etc/rc.d/init.d/samba &lt;&lt; "EOF" :</userinput>
 Create the Samba boot script, used to start and stop Samba
 automatically on machine startup and shutdown.</para>
 
-<para><screen><userinput>
-/usr/sbin/useradd -g 100 -d /dev/null -c \
-    "Win2k Server" -s /bin/false win2kbox$ :
-</userinput></screen>
+<para><screen><userinput>/usr/sbin/useradd -g 100 -d /dev/null -c \
+    "Win2k Server" -s /bin/false win2kbox$ :</userinput></screen>
 This command creates a machine trust account, necessary only for
 Windows 2000/NT servers to authenticate to our new PDC.  Machine trust
@@ -30,12 +26,10 @@
 Register the swat service to run on port 901.</para> 
 
-<para><userinput>
-echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" &gt;&gt;
+<para><userinput>echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" &gt;&gt;
 /etc/inetd.conf :</userinput> Instruct inetd where to find and how to
 run swat.</para> 
 
 <para>
-<userinput>
-ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba, etc. :</userinput>
+<userinput>ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba, etc. :</userinput>
 Create the Samba boot scripts, used to start and stop Samba
 automatically on machine startup and shutdown.</para>
Index: server/other/samba/samba-config.xml
===================================================================
--- server/other/samba/samba-config.xml	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ server/other/samba/samba-config.xml	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -9,24 +9,18 @@
 documentation by pointing a web browser to:</para>
 
-<para><screen><userinput>
-file:///usr/share/samba/swat/using_samba/ch03_01.html#ch03-55770
-.</userinput></screen></para>
+<para><screen><userinput>file:///usr/share/samba/swat/using_samba/ch03_01.html#ch03-55770.</userinput></screen></para>
 
 <sect3><title>Config files</title>
-<para><userinput>
-/etc/samba/smb.conf, /etc/rc.d/init.d/samba </userinput></para>
+<para><userinput>/etc/samba/smb.conf, /etc/rc.d/init.d/samba </userinput></para>
 
 <para>First we set up some directories needed by Samba:</para>
-<para><screen><userinput>
-mkdir /var/lib/samba &amp;&amp;
+<para><screen><userinput>mkdir /var/lib/samba &amp;&amp;
 mkdir /var/lib/samba/netlogon &amp;&amp;
 mkdir /var/lib/samba/ntprofile &amp;&amp;
 mkdir /var/lib/samba/profiles &amp;&amp;
-chmod -R 1777 /var/lib/samba
-</userinput></screen></para>
+chmod -R 1777 /var/lib/samba</userinput></screen></para>
 
 <para>And the Samba configuration file: </para>
-<para><screen><userinput>
-cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF"
+<para><screen><userinput>cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF"
 [global]
     netbios name = SAMBABOX
@@ -65,6 +59,5 @@
         read only = no
         public = no
-EOF
-</userinput></screen></para>
+EOF </userinput></screen></para>
 
 <para>Now add the machine trust account for WIN2KBOX:</para>
@@ -77,6 +70,5 @@
 
 <para>Create the Samba boot script:</para>
-<para><screen><userinput>
-cat &gt; /etc/rc.d/init.d/samba &lt;&lt; "EOF"
+<para><screen><userinput>cat &gt; /etc/rc.d/init.d/samba &lt;&lt; "EOF"
 #!/bin/bash
 # Begin $rc_base/init.d/samba
@@ -141,7 +133,5 @@
 first in order to join WIN2KBOX to the DOMAIN01 domain: </para>
 
-<para><screen><userinput>
-smbpasswd -a root
-</userinput></screen></para>
+<para><screen><userinput>smbpasswd -a root</userinput></screen></para>
 
 <para>After starting Samba and adding root to the Samba user list, the
@@ -163,43 +153,33 @@
 9.  Click OK in the reboot reminder dialog box.
 10. Click OK to close the System Properties window.
-11. Click Yes to reboot WIN2KBOX.
-</userinput></screen></para></sect3>
+11. Click Yes to reboot WIN2KBOX.  </userinput></screen></para></sect3>
 
 <sect3><title>Add a new user to the DOMAIN01 domain.</title>
 <para>Before logging on to WIN2KBOX, we will create a new user with
     the following commands:</para>
-<para><screen><userinput>
-useradd -m win2kuser01 &amp;&amp;
+<para><screen><userinput>useradd -m win2kuser01 &amp;&amp;
 passwd win2kuser01 &amp;&amp;
-smbpasswd -a win2kuser01 
-</userinput></screen></para></sect3>
+smbpasswd -a win2kuser01</userinput></screen></para></sect3>
 
 <sect3><title>Logging on to DOMAIN01.</title>
 <para>Now we will log on the the domain as our newly created user as
     follows:</para> 
-<para><screen><userinput>
-1. Press Ctrl-Alt-Del to bring up the Log On to Windows dialog box.
+<para><screen><userinput>1. Press Ctrl-Alt-Del to bring up the Log On to Windows dialog box.
 2. Enter the win2kuser01 name and password.
-3. Select DOMAIN01 from the Log on to: combination box and click OK.
-</userinput></screen></para>
+3. Select DOMAIN01 from the Log on to: combination box and click OK.</userinput></screen></para>
 
 <para>Add the swat entry to <filename>/etc/services</filename>with the
 following command: </para>
 
-<para><screen><userinput>
-echo "swat            901/tcp" &gt;&gt; /etc/services
-</userinput></screen></para>
+<para><screen><userinput>echo "swat            901/tcp" &gt;&gt; /etc/services</userinput></screen></para>
 
 <para>If inetd is used, the following command will add the swat entry
 to <filename>/etc/inetd.conf</filename>: </para>
-<para><screen><userinput>
-echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" \
-    &gt;&gt; /etc/inetd.conf
-</userinput></screen></para>
+<para><screen><userinput>echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" \
+    &gt;&gt; /etc/inetd.conf</userinput></screen></para>
 
 <para>If xinetd is used, the following command will add the swat entry
 to <filename>/etc/xinetd.conf</filename>: </para>
-<para><screen><userinput>
-cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"
+<para><screen><userinput>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"
 service swat
 {
@@ -212,12 +192,9 @@
     log_on_failure  += USERID
 }
-EOF
-</userinput></screen></para>
+EOF</userinput></screen></para>
 
 <para>The Samba Web Administration Tool, swat, can be launched with the
 following command on SAMBABOX: </para>
-<para><screen><userinput>
-lynx http://localhost:901
-</userinput></screen></para>
+<para><screen><userinput>lynx http://localhost:901 </userinput></screen></para>
 <note><para>Be sure inetd is running, and issue a killall -HUP inetd
 before starting swat.</para></note>
Index: server/server.ent
===================================================================
--- server/server.ent	(revision d75b734046a873e7d885b2e3ab38f298003a93de)
+++ server/server.ent	(revision 9905a3c983a59420585a6cf136a992a692fca1cc)
@@ -3,32 +3,34 @@
 <!-- Mail server software -->
 <!ENTITY server-mail SYSTEM "mail/mail.xml">
-<!ENTITY % postfix SYSTEM "mail/postfix/postfix.ent">
-<!ENTITY % qmail SYSTEM "mail/qmail/qmail.ent">
-<!ENTITY % sendmail SYSTEM "mail/sendmail/sendmail.ent">
-<!ENTITY % exim SYSTEM "mail/exim/exim.ent">
-<!ENTITY % qpopper SYSTEM "mail/qpopper/qpopper.ent">
-<!ENTITY % courier SYSTEM "mail/courier/courier.ent">
+<!ENTITY % postfix   SYSTEM "mail/postfix/postfix.ent">
+<!ENTITY % qmail     SYSTEM "mail/qmail/qmail.ent">
+<!ENTITY % sendmail  SYSTEM "mail/sendmail/sendmail.ent">
+<!ENTITY % exim      SYSTEM "mail/exim/exim.ent">
+<!ENTITY % qpopper   SYSTEM "mail/qpopper/qpopper.ent">
+<!ENTITY % courier   SYSTEM "mail/courier/courier.ent">
+%exim;
 %postfix;
 %qmail;
+%qpopper;
 %sendmail;
-%exim;
-%qpopper;
 %courier;
 
 <!-- Other server software -->
 <!ENTITY server-other SYSTEM "other/other.xml">
-<!ENTITY % cvsserver SYSTEM "other/cvsserver/cvsserver.ent">
-<!ENTITY % openssh SYSTEM "other/openssh/openssh.ent">
-<!ENTITY % bind SYSTEM "other/bind/bind.ent">
-<!ENTITY % dhcp SYSTEM "other/dhcp/dhcp.ent">
-<!ENTITY % xinetd SYSTEM "other/xinetd/xinetd.ent">
-<!ENTITY % leafnode SYSTEM "other/leafnode/leafnode.ent">
-<!ENTITY % samba SYSTEM "other/samba/samba.ent">
+<!ENTITY % cvsserver  SYSTEM "other/cvsserver/cvsserver.ent">
+<!ENTITY % openssh    SYSTEM "other/openssh/openssh.ent">
+<!ENTITY % bind       SYSTEM "other/bind/bind.ent">
+<!ENTITY % dhcp       SYSTEM "other/dhcp/dhcp.ent">
+<!ENTITY % xinetd     SYSTEM "other/xinetd/xinetd.ent">
+<!ENTITY % leafnode   SYSTEM "other/leafnode/leafnode.ent">
+<!ENTITY % samba      SYSTEM "other/samba/samba.ent">
+<!ENTITY % openldap   SYSTEM "other/openldap/openldap.ent">
 
+%bind;
+%cvsserver;
+%dhcp;
+%leafnode;
+%openldap;
 %openssh;
-%cvsserver;
-%bind;
-%dhcp;
+%samba;
 %xinetd;
-%leafnode;
-%samba;